<?php

// QuickTalk 3.0 build:20121228

function GetSerie($arrX,$arrXs,$y,$intMaxBt)
{
  $arrValues = array();
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  if ( isset($arrX[$y][$intBt]) ) { $arrValues[$intBt]=$arrX[$y][$intBt]; } else { $arrValues[$intBt]='&middot;'; }
  }
  $arrValues[$intMaxBt+1]='<span class="bold">'.$arrXs[$y].'</span>';
  return $arrValues;
}

function GetSerieDelta($arrX,$arrXs,$y,$intMaxBt,$bPercent=false,$strNA='&middot;',$bRedGreen=true)
{
  $arrValues = array();
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    $arrValues[$intBt] = '0';
    $i = QTtrend((isset($arrX[$y][$intBt]) ? $arrX[$y][$intBt] : 0),(isset($arrX[$y-1][$intBt]) ? $arrX[$y-1][$intBt] : 0),$bPercent);
    if ( isset($i) )
    {
      $arrValues[$intBt] = $i.($bPercent ? '%' : '');
      if ( $i>0 && $bRedGreen ) $arrValues[$intBt] = '<span style="color:red">'.'+'.$arrValues[$intBt].'</span>';
      if ( $i<0 && $bRedGreen ) $arrValues[$intBt] = '<span style="color:green">'.$arrValues[$intBt].'</span>';
    }
    else
    {
      $arrValues[$intBt] = $strNA;
    }
  }
  $arrValues[$intMaxBt+1] = '<span class="bold">0</span>';
  $i = QTtrend($arrXs[$y],$arrXs[$y-1],$bPercent);
  if ( isset($i) )
  {
    $arrValues[$intBt] = $i.($bPercent ? '%' : '');
    if ( $i>0 && $bRedGreen ) $arrValues[$intMaxBt+1] = '<span class="bold" style="color:red">'.'+'.$arrValues[$intBt].'</span>';
    if ( $i<0 && $bRedGreen ) $arrValues[$intMaxBt+1] = '<span class="bold" style="color:green">'.$arrValues[$intBt].'</span>';
  }
  else
  {
    $arrValues[$intMaxBt+1] = $strNA;
  }
  return $arrValues;
}

function GetAbscise($strTime='m',$intMaxBt=13,$strTendaysago=-10)
{
  global $L;
  $arr = array();
  switch($strTime)
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $arr[$i]='Q'.$i; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $arr[$i]=substr($L['dateMM'][$i],0,3); } break; // 3 chars only
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $arr[$i]=substr(DateAdd($strTendaysago,$i,'day'),-2,2); } break;
  }
  return $arr;
}

function CheckChartCache($oCache)
{
  if ( !is_a($oCache,'pCache') ) return;

  $handle = opendir('pChart/tmp');
  $i = 0;
  while(false!==($file=readdir($handle)))
  {
  $i++;
  if ($i>100) break;
  }
  closedir($handle);

  // clear cache folder (cache) and image folder (tmp)
  if ( $i>100 || isset($_GET['clearcache']) )
  {
    $oCache->ClearCache();
    $handle = opendir('pChart/tmp');
    {
      while(false!==($file=readdir($handle)))
      {
      if ( $file != "." && $file != ".." )
      unlink('pChart/tmp/'.$file);
      }
      closedir($handle);
    }
  }
}