<?php

// QuickTalk 3.0 build:20121228

// -----------------
// Connection config
// -----------------
define('QTFVERSION','3.0 build:20121228');
require_once 'bin/config.php';
if ( !isset($qtf_install) || empty($qtf_install) )
{
echo '<p>QuickTalk ',QTFVERSION,'<br/>The file bin/config.php is not yet configured.<br/>Please go to the page <a href="install/index.php">installation</a>...</p>';
exit;
}
else
{
define('QT','qtf'.substr($qtf_install,-1));
}

// -----------------
// System constants (CANNOT be changed by webmasters)
// -----------------
if ( !defined('PHP_VERSION_ID') ) { $version=explode('.',PHP_VERSION); define('PHP_VERSION_ID',($version[0]*10000+$version[1]*100+$version[2])); }
define('TABDOMAIN',$qtf_prefix.'qtadomain');
define('TABSECTION',$qtf_prefix.'qtaforum');
define('TABUSER',$qtf_prefix.'qtauser');
define('TABTOPIC',$qtf_prefix.'qtatopic');
define('TABPOST',$qtf_prefix.'qtapost');
define('TABSETTING',$qtf_prefix.'qtasetting');
define('TABLANG',$qtf_prefix.'qtalang');
define('QSEL',' selected="selected"');
define('QCHE',' checked="checked"');
define('QDIS',' disabled="disabled"');
define('START', 1);
define('END', -1);
define('JQUERY_OFF', 'bin/js/jquery.min.js'); // jQuery resource when offline. This will be used if CDN (defined here after) is not possible.
define('JQUERYUI_OFF', 'bin/js/jquery-ui.min.js');
define('JQUERYUI_CSS_OFF', 'bin/css/jquery-ui/themes/base/jquery-ui.css');

// -----------------
// Interface constants (can be changed by webmasters)
// -----------------
define('QTF_CHANGE_USERNAME', false);// allow users to change their username (login). False = only administrators can change the username.
define('QTF_SHOW_CONTRAST', true);  // allow user to change contrast/normal mode
define('QTF_SHOW_FAQMENU',  false); // show faq in then menu on top
define('QTF_HOTTOPICS',     10);    // Number of replies to become hottopic. Use FALSE to disable hottopic icon
define('QTF_BACKBUTTON', '&laquo;'); // use FALSE to hide backbutton
define('QTF_DFLT_VIEWMODE', 'N');   // default view mode: N=normal view, C=compact view
define('QTF_SHOW_VIEWMODE', true);  // allow user to change view mode
define('QTF_SHOW_TIME',     true);  // show time in the bottom bar
define('QTF_SHOW_MODERATOR',true);  // show moderator in the bottom bar
define('QTF_SHOW_GOTOLIST', true);  // show gotolist in the bottom bar
define('QTF_CRUMBTRAIL', ' &middot; '); // crumbtrail separator (dont forget spaces)
define('QTF_MENUSEPARATOR', ' &middot; '); // bottom menu separator (dont forget spaces)
define('QTF_CONVERT_AMP',   false); // save &amp; instead of &. Use TRUE to make &#0000; symbols NOT working.
define('QTF_DIR_DOC', 'upload/');   // where to store uploaded files, if allowed, (with final '/')
define('QTF_DIR_PIC', 'avatar/');   // where to store avatar images, if allowed, (with final '/')
define('QTF_LIST_ME',       true);  // execute the 'i-replied' search in section list. Set False to improve speed.
define('QTF_LIST_TAG',      true);  // display a quick search link for the tags in section list.
define('QTF_JAVA_MAIL',     false); // Protect e-mail by a javascript
define('QTF_QUERY_SEPARATOR', ','); // Values separator in search queries (used as jQuery autocomplete-ajax separator) CANNOT BE EMPTY!
define('QTF_WEEKSTART', 1);         // Start of the week (use code 1=monday,...,7=sunday)
define('QTF_STAFFEDITSTAFF',true);  // Staff member can edit profile of other staff member
define('QTF_STAFFEDITADMIN',true);  // Staff member can edit profile of an administrator
define('QTF_SECTIONLOGO_WIDTH', 75); // Maximum size of section logo (pixels)
define('QTF_SECTIONLOGO_HEIGHT',75); // Maximum size of section logo (pixels)

define('QTF_URLREWRITE',false);
// URL rewriting (for expert only):
// Rewriting url requires that your server is configured with following rule for the application folder: RewriteRule ^(.+)\.html(.*) qtf_$1.php$2 [L]
// This can NOT be activated if you application folder contains html pages (they will not be accessible anymore when urlrewriting is acticated)

// -----------------
// JQUERY (this can be changed by webmaster)
// -----------------
// Content Delivery Network for jQuery and jQuery-UI. Using a CDN will increase performances.
// Possible CDN are: Google, Microsoft, jQuery-Media-Temple.
// You can also decide to use your local copy (in the bin/ directory) to avoid using a CDN.
// NOTE: when CDN is not accessible, a fallback function load the local jquery library (from bin/js)

define('JQUERY_CDN', 'https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
  // define('JQUERY_CDN', 'http://ajax.aspnetcdn.com/ajax/jquery/jquery-1.8.3.min.js');
  // define('JQUERY_CDN', 'http://code.jquery.com/jquery-1.8.3.js');
  // define('JQUERY_CDN', 'bin/js/jquery.min.js');

define('JQUERYUI_CDN', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.9.2/jquery-ui.min.js');
  // define('JQUERYUI_CDN', 'http://ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/jquery-ui.min.js');
  // define('JQUERYUI_CDN', 'http://code.jquery.com/ui/1.9.2/jquery-ui.js');
  // define('JQUERYUI_CDN', 'bin/js/jquery-ui.min.js');

define('JQUERYUI_CSS_CDN', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.9.2/themes/base/jquery-ui.css');
  // define('JQUERYUI_CSS_CDN', 'http://ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/base/jquery-ui.css');
  // define('JQUERYUI_CSS_CDN', 'http://code.jquery.com/ui/1.9.2/themes/base/jquery-ui.css');
  // define('JQUERYUI_CSS_CDN', 'bin/css/jquery-ui/themes/base/jquery-ui.css');

// -----------------
// Class and function definition
// -----------------
require_once 'bin/class/qt_abstracts.php';
require_once 'bin/qt_lib_txt.php';
require_once 'bin/class/qt_class_db.php';
require_once 'bin/class/qt_class_html.php';
require_once 'bin/class/qt_class_table.php';
require_once 'bin/class/qt_class_sys.php';
require_once 'bin/class/qtf_class_vip.php';
require_once 'bin/class/qtf_class_user.php';
require_once 'bin/class/qtf_class_sec.php';
require_once 'bin/class/qtf_class_topic.php';
require_once 'bin/class/qtf_class_post.php';
require_once 'bin/qtf_fn_base.php';
require_once 'bin/qtf_fn_html.php';

// ----------------
// Initialise Classes
// ----------------
$oDB  = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
if ( !empty($oDB->error) ) die ('<p><font color="red">Connection with database failed.<br/>Please contact the webmaster for further information.</font></p><p>The webmaster must check that server is up and running, and that the settings in the config file are correct for the database.</p>');
if ( !isset($_SESSION[QT]) ) GetParam(true);

// check major parameters
if ( !isset($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
if ( !isset($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='english';
if ( empty($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
if ( empty($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='english';
if ( substr($_SESSION[QT]['skin_dir'],0,5)!='skin/' ) $_SESSION[QT]['skin_dir'] = 'skin/'.$_SESSION[QT]['skin_dir'];

// change language if required (by coockies or by the menu)

$str=GetIso();
if ( isset($_COOKIE[QT.'_cooklang']) ) $str=substr($_COOKIE[QT.'_cooklang'],0,2);
if ( isset($_GET['lx']) ) $str=substr($_GET['lx'],0,2);
if ( $str!=GetIso() && !empty($str) )
{
  include 'bin/qtf_lang.php';
  if ( array_key_exists($str,$arrLang) )
  {
    $_SESSION[QT]['language'] = $arrLang[$str][2];
    if ( isset($_COOKIE[QT.'_cooklang']) ) setcookie(QT.'_cooklang', $str, time()+60*60*24*100, '/');
    // unset dictionnaries
    if ( isset($_SESSION[QT]['sys_domains']) ) unset($_SESSION[QT]['sys_domains']);
    if ( isset($_SESSION[QT]['sys_sections']) ) unset($_SESSION[QT]['sys_sections']);
    $_SESSION['L'] = array();
  }
  else
  {
    die('Wrong iso code language');
  }
}

// ----------------
// Initialise page and object translations
// ----------------

if ( !isset($_SESSION['L']) ) $_SESSION['L'] = array();
CheckDico('index domain sec secdesc');

$oVIP = new cVIP();

// ----------------
// Initialiase variable
// ----------------
$error = ''; // Required when server uses register_global_on
$warning = ''; // Required when server uses register_global_on
$arrExtData = array(); // Can be used by extensions

if ( !isset($_SESSION[QT]['viewmode']) ) $_SESSION[QT]['viewmode']=QTF_DFLT_VIEWMODE;
if ( !isset($_SESSION[QT]['userlang']) ) $_SESSION[QT]['userlang']='1';

// ----------------
// Load dictionary
// ----------------

include_once GetLang().'qtf_main.php';
include_once GetLang().'qtf_icon.php';

// ----------------
// Default HTML settings
// ----------------

$oHtml = new cHtml();
$oHtml->dtd = QTF_HTML_DTD;
$oHtml->file = 'qtf';
$oHtml->html = '<html xmlns="http://www.w3.org/1999/xhtml" dir="'.QTF_HTML_DIR.'" xml:lang="'.QTF_HTML_LANG.'" lang="'.QTF_HTML_LANG.'">';
$oHtml->title = $_SESSION[QT]['site_name'];
$oHtml->metas['charset'] = '<meta charset="'.QTF_HTML_CHAR.'" />';
$oHtml->metas['description'] = '<meta name="description" content="QTF QuickTalk Forum" />';
$oHtml->metas['keywords'] = '<meta name="keywords" content="QTF,Forum,qt-cute,OpenSource" />';
$oHtml->metas['author'] = '<meta name="author" content="qt-cute.org" />';
$oHtml->links['icon'] = '<link rel="shortcut icon" href="'.$_SESSION[QT]['skin_dir'].'/qtf_icon.ico" />';
$oHtml->links['css'] = '<link rel="stylesheet" type="text/css" href="'.$_SESSION[QT]['skin_dir'].'/qtf_main.css" /><link rel="stylesheet" type="text/css" href="bin/css/qtf_print.css" media="print" />';
$oHtml->links['jqueryui'] = '<link rel="stylesheet" type="text/css" href="'.JQUERYUI_CSS_CDN.'" />';
$oHtml->scripts['base'] = '<script type="text/javascript" src="bin/js/qtf_base.js"></script>';
$oHtml->scripts['jquery'] = '<script type="text/javascript" src="'.JQUERY_CDN.'"></script>';
$oHtml->scripts['jqueryui'] = '<script type="text/javascript" src="'.JQUERYUI_CDN.'"></script>';

// Contrast check

if ( QTF_SHOW_CONTRAST )
{
  if ( !isset($_SESSION['qtf_maincss']) ) $_SESSION['qtf_maincss']='maincss';
  if ( isset($_GET['css']) && ($_GET['css']=='maincss' || $_GET['css']=='contrast')  ) $_SESSION['qtf_maincss']=$_GET['css'];
}

// ----------------
// Check user in case of coockie login
// ----------------

if ( $oVIP->user->coockieconfirm )
{
  $oVIP->exitname = $L['Continue'];
  include 'qtf_p_header.php';
  $oHtml->Msgbox($L['Login'],'msgbox login');
  echo '<h2>'.L('Welcome').' '.$_SESSION[QT.'_usr_name'].'</h2><p><a href="'.Href($oVIP->exiturl).'">'.$oVIP->exitname.'</a>&nbsp; &middot; &nbsp;<a href="'.Href('qtf_login.php?a=out').'">'.sprintf(L('Welcome_not'),$oVIP->user->name).'</a></p>';
  $oHtml->Msgbox(END);
  include 'qtf_p_footer.php';
  exit;
}

// -----------------
//  Time setting (for PHP >=5.2)
// -----------------

if ( PHP_VERSION_ID>=50200 ) {
if ( isset($_SESSION[QT]['defaulttimezone']) ) {
if ( $_SESSION[QT]['defaulttimezone']!=='' ) {

date_default_timezone_set($_SESSION[QT]['defaulttimezone']);

}}}