<?php

// QuickTalk 3.0 build:20121228

session_start();

if ( !isset($_SESSION['qtf_setup_lang']) ) $_SESSION['qtf_setup_lang']='en';

include 'qtf_lang_'.$_SESSION['qtf_setup_lang'].'.php';
include '../bin/config.php'; if ( $qtf_dbsystem=='sqlite' ) $qtf_database = '../'.$qtf_database;
if ( isset($qtf_install) ) { define('QT','qtf'.substr($qtf_install,-1)); } else { define('QT','qtf'); }
include '../bin/class/qt_class_db.php';
include '../bin/qtf_fn_base.php';

function QTismail($str)
{
  if ( !is_string($str) ) die('QTismail: arg #1 must be a string');

  if ( $str!=trim($str) ) return false;
  if ( $str!=strip_tags($str) ) return false;
  if ( !preg_match("/^[A-Z0-9._%-]+@[A-Z0-9][A-Z0-9.-]{0,61}[A-Z0-9]\.[A-Z]{2,6}$/i",$str) ) return false;
  return true;
}

$strAppl     = 'QuickTalk 3.0';
$strPrevUrl  = 'qtf_setup_2.php';
$strNextUrl  = 'qtf_setup_4.php';
$strPrevLabel= $L['Back'];
$strNextLabel= $L['Next'];

// Read admin_email setting

$oDB = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
define('TABSETTING', $qtf_prefix.'qtasetting');
GetParam(true,'param="admin_email"');
if ( !isset($_SESSION[QT]['admin_email']) ) $_SESSION[QT][admin_email]='';

// --------
// HTML START
// --------

include 'qtf_setup_hd.php';

// Submitted

if ( !empty($_POST['admin_email']) )
{
  if ( QTismail($_POST['admin_email']) )
  {
    $_SESSION[QT]['admin_email'] = $_POST['admin_email'];
    $oDB->Query('UPDATE '.TABSETTING.' SET setting="'.$_SESSION[QT]['admin_email'].'" WHERE param="admin_email"');
    if ( empty($oDB->error) )
    {
    echo '<div class="setup_ok">',$L['S_save'],'</div>';
    }
    else
    {
    echo '<div class="setup_err">',sprintf ($L['E_connect'],$qtf_database,$qtf_host),'</div>';
    }
  }
  else
  {
  echo '<div class="setup_err">Invalid e-mail</div>';
  }
}

// Form

echo '<h2>',$L['Board_email'],'</h2>
<form method="post" name="install" action="qtf_setup_3.php">
<table class="hidden">
<tr valign="top">
<td class="hidden">',$L['Board_email'],' <input type="email" name="admin_email" value="',$_SESSION[QT]['admin_email'],'" size="34" maxlength="100"/>&nbsp;<input type="submit" name="ok" value="',$L['Ok'],'"/></td>
<td class="hidden" style="width:40%"><div class="setup_help">',$L['Help_3'],'</div></td>
</tr>
</table>
</form>
';

include 'qtf_setup_ft.php';