<?php
// QuickTalk 3.0 build:20121228

session_start();

if ( !isset($_SESSION['qtf_setup_lang']) ) $_SESSION['qtf_setup_lang']='en';
$strLang=$_SESSION['qtf_setup_lang']; // remember in ordrer to restore after reset (end of page)

include 'qtf_lang_'.$strLang.'.php';
include '../bin/config.php'; if ( $qtf_dbsystem=='sqlite' ) $qtf_database = '../'.$qtf_database;
include '../bin/class/qt_class_db.php';

$strAppl     = 'QuickTalk 3.0';
$strPrevUrl  = 'qtf_setup_2.php';
$strNextUrl  = '../qtf_login.php?dfltname=Admin';
$strPrevLabel= $L['Back'];
$strNextLabel= $L['Finish'];
$strMessage = '';

// CHECK DB VERSION (in case of update)

$oDB = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
if ( !empty($oDB->error) ) die ('<p><font color="red">Connection with database failed.<br/>Please contact the webmaster for further information.</font></p><p>The webmaster must check that server is up and running, and that the settings in the config file are correct for the database.</p>');

$oDB->Query('SELECT setting FROM '.$qtf_prefix.'qtasetting WHERE param="version"');
$row=$oDB->Getrow();

// UPDAGRADE TO 2.1

if ( $row['setting']=='2.0' )
{
  switch($oDB->type)
  {
  case 'sqlite':
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtatopic ADD modifdate text');
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtaforum ADD options text');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtatopic ADD modifdate varchar2(20)');
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtaforum ADD options varchar2(255)');
    break;
  default:
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtatopic ADD modifdate varchar(20)');
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtaforum ADD options varchar(255)');
    break;
  }
  // update section options

  $oDB->Query('SELECT id,sortfield,infofield,logo FROM '.$qtf_prefix.'qtaforum');
  $arr = array();
  while($row=$oDB->Getrow())
  {
    if ( $row['sortfield']=='lastpostdate' ) $row['sortfield']='0';
    if ( $row['infofield']=='N' ) $row['infofield']='0';
    $arr[$row['id']]='coord=0;order='.(empty($row['sortfield']) ? '0' : $row['sortfield']).';last='.(empty($row['infofield']) ? '0' : $row['infofield']).';logo='.(empty($row['logo']) ? '0' : $row['logo']);
  }
  foreach($arr as $strKey=>$strValue)
  {
  $oDB->Query( 'UPDATE '.$qtf_prefix.'qtaforum SET options="'.$strValue.'" WHERE id='.$strKey );
  }

  // Update picture dir

  $oDB->Query('SELECT id,picture FROM '.$qtf_prefix.'qtauser');
  $arr = array();
  while($row=$oDB->Getrow())
  {
    if ( !empty($row['picture']) ) {
    if ( strtolower(substr($row['picture'],0,7))=='avatar/' ) {
      $arr[$row['id']]=substr($row['picture'],7);
    }}
  }
  foreach($arr as $strKey=>$strValue)
  {
  $oDB->Query( 'UPDATE '.$qtf_prefix.'qtauser SET picture="'.$strValue.'" WHERE id='.$strKey );
  }

  // Register version

  $oDB->Query('UPDATE '.$qtf_prefix.'qtasetting SET setting="2.1" WHERE param="version"');
  $row['setting']='2.1';
  $strMessage .= '<p>Database upgraded to 2.1</p>';
}

// UPDAGRADE 2.1 TO 2.4

if ( $row['setting']=='2.1' || $row['setting']=='2.2' || $row['setting']=='2.3' )
{
  $oDB->Query('UPDATE '.$qtf_prefix.'qtasetting SET setting="2.4" WHERE param="version"');
  switch($oDB->type)
  {
  case 'sqlite':
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtatopic ADD param text');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtatopic ADD param varchar2(255)');
    break;
  default:
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtatopic ADD param varchar(255)');
    break;
  }
  $row['setting']='2.4';
  $strMessage .= '<p>Database upgraded to 2.4</p>';
}

// UPDAGRADE 2.4 TO 2.5

if ( $row['setting']=='2.4' )
{
  $oDB->Query('UPDATE '.$qtf_prefix.'qtasetting SET setting="2.5" WHERE param="version"');
  switch($oDB->type)
  {
  case 'sqlite':
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtauser ADD secret_q text');
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtauser ADD secret_a text');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtauser ADD secret_q varchar2(255)');
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtauser ADD secret_a varchar2(255)');
    break;
  default:
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtauser ADD secret_q varchar(255)');
    $oDB->Query('ALTER TABLE '.$qtf_prefix.'qtauser ADD secret_a varchar(255)');
    break;
  }
  $row['setting']='2.5';
  $strMessage .= '<p>Database upgraded to 2.5</p>';
}

if ( $row['setting']=='2.5' )
{
  $oDB->Query('UPDATE '.$qtf_prefix.'qtasetting SET setting="3.0" WHERE param="version"');
  $oDB->Query('UPDATE '.$qtf_prefix.'qtasetting SET param="posts_per_item" WHERE param="posts_per_topic"');
  $oDB->Query('UPDATE '.$qtf_prefix.'qtasetting SET param="items_per_page" WHERE param="topics_per_page"');
  $oDB->Query('INSERT INTO '.$qtf_prefix.'qtasetting VALUES ("login_addon","0","1")');
  $row['setting']='3.0';
  $strMessage .= '<p>Database upgraded to 3.0</p>';
}

// --------
// HTML START
// --------

include 'qtf_setup_hd.php';

if (!empty($strMessage) ) echo $strMessage;

if ( isset($_SESSION['qtfInstalled']) )
{
echo '<p>Database 3.0 in place.</p>';
echo '<p>',$L['S_install_exit'],'</p>';
echo '<div style="width:350px; padding:10px; border-style:solid; border-color:#FF0000; border-width:1px; background-color:#EEEEEE">',$L['End_message'],'<br/>',$L['User'],': <b>Admin</b><br/>',$L['Password'],': <b>Admin</b><br/></div><br/>';
}
else
{
echo $L['N_install'];
}

// document folders

$error='';
if ( !is_dir('upload') )
{
  $error .= '<font color=red>Directory <b>upload</b> not found.</font><br/>Please create this directory and make it writeable (chmod 777) if you want to allow uploads<br/>';
}
else
{
  if ( !is_readable('upload') ) $error .= '<font color=red>Directory <b>upload</b> is not readable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>';
  if ( !is_writable('upload') ) $error .= '<font color=red>Directory <b>upload</b> is not writable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>';
}

if ( empty($error) )
{
  $iY = intval(date('Y'));
  for ($i=$iY;$i<=$iY+5;$i++)
  {
    if ( !is_dir('upload/'.$i) )
    {
      if ( mkdir('upload/'.$i) )
      {
        for ($j=1;$j<=12;$j++)
        {
        mkdir('upload/'.$i.'/'.($i*100+$j));
        }
      }
    }
  }
}

echo '<p><a href="../check.php">',$L['Check_install'],'</a></p>';

// DISCONNECT to reload new variables

$_SESSION = array();
$_SESSION['qtf_setup_lang']=$strLang; // restore language after reset

// --------
// HTML END
// --------

include 'qtf_setup_ft.php';