<?php

if ( !defined('QTF_HTML_DTD') ) define ('QTF_HTML_DTD', '<!DOCTYPE html>'); // html 5
if ( !defined('QTF_HTML_CHAR') ) define ('QTF_HTML_CHAR', 'windows-1252');
if ( !defined('QTF_HTML_DIR') ) define ('QTF_HTML_DIR', 'ltr');
if ( !defined('QTF_HTML_LANG') ) define ('QTF_HTML_LANG', 'en');

// Is is recommended to always use capital on first letter in the translation, script changes to lower case if necessary.
// The character doublequote ["] is FORBIDDEN (reserved for html tags)
// To make a single quote use slashe [\']

// -------------
// TOP LEVEL VOCABULARY
// -------------

// Use the top level vocabulary to give the most appropriate name
// for the topics (object items) managed by this application.
// e.g. Ticket, Incident, Subject, Thread, Request, Faq,...

$L['Item']='Subject';
$L['Items']='Subjects';
$L['item']=strtolower($L['Item']);
$L['items']=strtolower($L['Items']);

// The top level words are re-used in a lot of translations defined here after

$L['Y']='Yes';
$L['N']='No';
$L['Ok']='Ok';
$L['Cancel']='Cancel';
$L['And']='And';
$L['Or']='Or';

// Specific vocabulary

$L['Domain']='Domain';
  $L['Domains']='Domains';
$L['Section']='Forum';
  $L['Sections']='Forums';
$L['Item_add']='New subject';
  $L['Item_del']='Delete subject';
  $L['Item_upd']='Update subject';
$L['User']='User';
  $L['Users']='Users';
  $L['User_add']='Add user';
  $L['User_del']='Delete user';
  $L['User_upd']='Edit profile';
$L['Status']='Status';
$L['Member']='Member';
  $L['Members']='Members';
$L['Message']='Message';
  $L['Messages']='Messages';
  $L['Message_deleted']='Message deleted...';
$L['Forward']='Forward';
  $L['Forwards']='Forwards';
$L['Reply']='Reply';
  $L['Replys']='Replies';
$L['News']='News';
  $L['Newss']='News'; // In other languages: News=One news, Newss=Several news
  $L['News_stamp']='News: '; //put a space after the stamp
$L['First_message']='First&nbsp;message';
$L['Last_message']='Last&nbsp;message';
$L['Ref']='Ref.';
$L['Title']='Title';
$L['Smiley']='Smiley';
$L['Username']='Username';
$L['Role']='Role';
$L['Userrole_A']='Administrator'; $L['Userrole_As']='Administrators';
$L['Userrole_M']='Moderator';     $L['Userrole_Ms']='Moderators';
$L['Userrole_U']='Member';        $L['Userrole_Us']='Members';
$L['Userrole_V']='Visitor';       $L['Userrole_Vs']='Visitors';
$L['Userrole_C']='Section coordinator'; $L['Userrole_Cs']='Section coordinators';
$L['Joined']='Joined';
$L['Picture']='Picture';
$L['Signature']='Signature';
$L['Item_starter']='Subject starter';
$L['Modified_by']='Modified by';
$L['Deleted_by']='Deleted by';
$L['Top_participants']='Top participants';
$L['Section_moderator']='Forum moderator';

// Common

$L['Add']='Add';
$L['Advanced_reply']='Preview..';
$L['All']='All';
$L['Attachment']='Attachment';
$L['Author']='Author';
$L['Birthday']='Date of birth';
$L['Birthdays_calendar']='Birthdays calendar';
$L['Birthdays_today']='Happy birthday';
$L['By']='By';
$L['Change']='Change';
$L['Change_name']='Change username';
$L['Change_status']='Change status...';
$L['Change_type']='Change type...';
$L['Changed']='Changed';
$L['Close']='Close';
$L['Closed']='Closed';
$L['Contact']='Contact';
$L['Containing']='Containing';
$L['Continue']='Continue';
$L['Coord']='Coordinates';
$L['Coord_latlon']='(lat,lon)';
$L['Csv']='Export'; $L['H_Csv']='Download to spreadsheet';
$L['Date']='Date';
$L['Dates']='Dates';
$L['Day']='Day';
$L['Days']='Days';
$L['Delete_tags']='Delete (click a tag, or type * to delete all tags)';
$L['Destination']='Destination';
$L['Details']='Details';
$L['Display_at']='Display at date';
$L['Drop_attachment']='Drop&nbsp;attachment';
$L['Email']='E-mail';
$L['Exit']='Exit';
$L['First']='First';
$L['Goto']='Jump to';
$L['H_Website']='Url of your website (with http://)';
$L['Help']='Help';
$L['Hidden']='Hidden';
$L['I_wrote']='I wrote';
$L['Information']='Information';
$L['Items_per_month']='Subjects per month';
$L['Items_per_month_cumul']='Cumulative subjects per month';
$L['Last']='Last';
$L['Legend']='Legend';
$L['Location']='Location';
$L['Maximum']='Maximum';
$L['Minimum']='Minimum';
$L['Missing']='Missing information';
$L['Month']='Month';
$L['More']='More';
$L['Name']='Name';
$L['Next']='Next';
$L['None']='None';
$L['Options']='Options';
$L['Opened']='Opened';
$L['Page']='page';
$L['Pages']='pages';
$L['Password']='Password';
$L['Phone']='Phone';
$L['Preview']='Preview';
$L['Previous']='Previous';
$L['Privacy']='Privacy';
$L['Reason']='Reason';
$L['Remove']='Remove';
$L['Result']='Result';
$L['Results']='Results';
$L['Save']='Save';
$L['Seconds']='Seconds';
$L['Selected_from']='selected from';
$L['Send']='Send';
$L['Send_on_behalf']='Send on behalf of';
$L['Tag']='Tag';
$L['Tags']='Tags';
$L['This']='This';
$L['Time']='Time';
$L['Total']='Total';
$L['Type']='Type';
$L['Website']='Website';
$L['Welcome']='Welcome';
$L['Welcome_to']='We welcome a new member, ';
$L['Welcome_not']='I\'m not %s !';
$L['Year']='Year';

// Menu

$L['FAQ']='FAQ';
$L['Search']='Search';
$L['Memberlist']='Memberlist';
$L['Login']='Log in';
$L['Logout']='Log out';
$L['Register']='Register';
$L['Profile']='Profile';
$L['Administration']='Administration';
$L['Legal']='Legal notices';
$L['Coppa_form']='Coppa form';
$L['Help']='Help';

// Section

$L['Post_new_item']='Post&nbsp;new&nbsp;subject'; // use &nbsp; as space to avoid double ligne buttons
$L['Post_reply']='Reply'; // use &nbsp; as space to avoid double ligne buttons
$L['Goto_message']='[<span class="bold">&raquo;</span>]';
$L['H_Goto_message']='View last message';
$L['Item_closed']='Subject&nbsp;closed'; // use &nbsp; as space to avoid double ligne buttons
$L['Item_re-opened']='Subject re-opened';
$L['Item_moved']='Subject moved';
$L['Item_deleted']='Subjectc deleted';
$L['Close_my_item']='I close my subject';
$L['You_reply']='I replied';
$L['Views']='Views';
$L['Quote']='Quote';
$L['Edit']='Edit';
$L['Delete']='Delete';
$L['Move']='Move';
$L['Move_to']='Move to';
$L['Quick_reply']='Quick reply';
$L['Previous_replies']='Previous messages';
$L['Close_item']='Close the subject';
$L['Edit_message']='Edit message';
$L['Delete_message']='Delete message';
$L['Message_deleted']='Message deleted...';
$L['Users_deleted']='Users deleted...';
$L['Move_keep']='Keep source reference';
$L['Move_reset']='Reset reference to zero';
$L['Move_follow']='Renumber following destination forum ref.';
$L['Item_closed_show']='Show closed subjects';
$L['Item_closed_hide']='Hide closed subjects';
$L['Item_news_show']='Show news';
$L['Item_news_hide']='Hide news';
$L['Last_column']='Extra column';
$L['Edit_start']='Edit profile';
$L['Edit_stop']='Stop editing';

// Search

$L['Recent_messages']='Recent&nbsp;messages';
$L['All_news']='All news';
$L['All_my_items']='All my subjects';
$L['Keywords']='Keyword(s)';
$L['Search_option']='Search option';
$L['Search_criteria']='Search criteria';

$L['Search_by_key']='Search by keyword(s)';
$L['Search_by_ref']='Search reference number';
$L['Search_by_date']='Search by date';
$L['Search_by_tags']='Search by tags';

$L['Any_time']='Any time';
$L['Any_status']='Any status';
$L['Search_result']='Search result';
$L['In_title_only']='In title only';
$L['In_all_sections']='In all forums';
$L['H_Reference']='(type the numeric part only)';
$L['Too_many_keys']='Too many keys';
$L['Search_by_words']='Search separate words';
$L['Search_exact_words']='Search exact words';
$L['This_week']='This week';
$L['This_month']='This month';
$L['This_year']='This year';
$L['With_tag']= 'With tag';
$L['Show_only_tag']='Show only subjects with tag';
$L['H_Tag_input']='You can enter several words separated by '.QTF_QUERY_SEPARATOR.' (ex.: t1'.QTF_QUERY_SEPARATOR.'t2 means subjects containing "t1" or "t2").';

// Search result

$L['Search_results']='%s '.$L['items'];
$L['Search_results_tags']='%s '.$L['items'].' with tag %s';
$L['Search_results_ref']='%s '.$L['items'].' with ref. %s';
$L['Search_results_keyword']='%s '.$L['items'].' containing %s';
$L['Search_results_user']='%s '.$L['items'].' issued by %s';
$L['Search_results_last']='%s recent '.$L['items'].' (last week)';
$L['Search_results_news']='%s '.$L['News'];
$L['Only_in_section']='Only in forum';

// Stats

$L['Statistics']='Statistics';
$L['Section_start_date']='Board start date';
$L['Distinct_users']='Distinct users (having posted a message)';
$L['General_site']='General site';

// Privacy

$L['Privacy_visible_0']='not visible';
$L['Privacy_visible_1']='visible for members';
$L['Privacy_visible_2']='visible for all visitors';

// Restrictions

$L['R_login_register']='Access is restricted to members only.<br/><br/>Please log in, or proceed to registration to become member.';
$L['R_member']='Access is restricted to members only.';
$L['R_staff']='Access is restricted to moderators only.';
$L['R_security']='Security settings does not allow using this function.';

// Errors

$L['E_access']='Access denied...';
$L['E_already_used']='Already used';
$L['E_char_max']='Maximum %d characters';
$L['E_char_min']='Minimum %d characters';
$L['E_editing']='Data not yet saved. Quit without saving?';
$L['E_file_size']='File is too large';
$L['E_invalid']='invalid';
$L['E_javamail']='Protection: java required to see e-mail addresses';
$L['E_line_max']='(maximum %d lines)';
$L['E_mandatory']='Mandartory field is empty';
$L['E_missing_http']='The url must start with http:// or https://';
$L['E_no_desc']='No description';
$L['E_no_public_section']='The board does not contain any public forum. Private forum access requires login.';
$L['E_no_result']='No result';
$L['E_no_title']='Please give a title to this new subject';
$L['E_no_item']='No '.$L['item'].' found';
$L['E_no_visible_section']='The board does not contain section visible for you.';
$L['E_pixels_max']='Pixels maximum';
$L['E_section_closed']='Forum is closed';
$L['E_text']='Problem with your text.';
$L['E_too_long']='Message too long';
$L['E_too_much']='Too much posts today...<br/><br/>For security reasons, the number of posts allowed is limited. Try again tomorrow. Thanks.';
$L['E_item_private']='(or subjects are private)';
$L['E_wait']='Please wait a few seconds';

// Success

$L['S_update']='Update successful...';
$L['S_delete']='Delete completed...';
$L['S_insert']='Creation successful...';
$L['S_save']  ='Save completed...';
$L['S_message_saved']='Message saved...<br/>Thank you';

// Dates

$L['dateMMM']=array(1=>'January','February','March','April','May','June','July','August','September','October','November','December');
$L['dateMM'] =array(1=>'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
$L['dateM']  =array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');
$L['dateDDD']=array(1=>'Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday');
$L['dateDD'] =array(1=>'Mon','Tue','Wed','Thu','Fri','Sat','Sun');
$L['dateD']  =array(1=>'M','T','W','T','F','S','S');
$L['dateSQL']=array(
  'January'  => 'January',
  'February' => 'February',
  'March'    => 'March',
  'April'    => 'April',
  'May'      => 'May',
  'June'     => 'June',
  'July'     => 'July',
  'August'   => 'August',
  'September'=> 'September',
  'October'  => 'October',
  'November' => 'November',
  'December' => 'December',
  'Monday'   => 'Monday',
  'Tuesday'  => 'Tuesday',
  'Wednesday'=> 'Wednesday',
  'Thursday' => 'Thursday',
  'Friday'   => 'Friday',
  'Saturday' => 'Saturday',
  'Sunday'   => 'Sunday',
  'Today'=>'Today',
  'Yesterday'=> 'Yesterday',
  'Jan'=>'Jan',
  'Feb'=>'Feb',
  'Mar'=>'Mar',
  'Apr'=>'Apr',
  'May'=>'May',
  'Jun'=>'Jun',
  'Jul'=>'Jul',
  'Aug'=>'Aug',
  'Sep'=>'Sep',
  'Oct'=>'Oct',
  'Nov'=>'Nov',
  'Dec'=>'Dec',
  'Mon'=>'Mon',
  'Tue'=>'Tue',
  'Wed'=>'Wed',
  'Thu'=>'Thu',
  'Fri'=>'Fri',
  'Sat'=>'Sat',
  'Sun'=>'Sun');