<?php

/**
* PHP version 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license.  If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @package    QuickTalk forum
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2012 The PHP Group
* @version    3.0 build:20121228
*/

session_start();
require_once 'bin/qtf_init.php';
include Translate('qtf_adm.php');

if ( $oVIP->user->role!='A' ) die($L['E_admin']);

// INITIALISE

$a = 'add';
if ( isset($_GET['a']) ) $a = $_GET['a'];

$oVIP->selfurl = 'qtf_adm_module.php';
$oVIP->selfname = $L['Adm_modules'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  if ( isset($_POST['a']) ) $a = $_POST['a'];

  // check form
  $strName = strtolower(strip_tags(trim($_POST['name']))); if ( get_magic_quotes_gpc() ) $strName = stripslashes($strName);
  $strName = str_replace(' ','_',$strName);
  $strFile = 'qtfm_'.$strName.'_'.($a=='rem' ? 'un' : '').'install.php';

  if ( file_exists($strFile) )
  {
  // exit
  $oVIP->exiturl = $strFile;
  $oVIP->exitname = ($a=='rem' ? L('Remove') : L('Add') ).' !';
  $oHtml->PageBox(NULL,L('Module').': '.$strName,'admin',0);
  }
  else
  {
  $error = 'Module not found... ('.$strFile.')<br/><br/>Possible cause: components of this module are not uploaded.';
  if ( $a=='rem' ) $oDB->Query('DELETE FROM '.TABSETTING.' WHERE param like "module_'.$strName.'" OR param like "m_'.$strName.'"');
  }
}

// --------
// HTML START
// --------

include 'qtf_adm_p_header.php';

echo '<form method="post" action="',$oVIP->selfurl,'">
<h2 class="subtitle">',L($a=="rem" ? 'Remove' : 'Add'),'</h2>
<table class="data_o">
<tr class="data_o">
<td class="headfirst" style="width:200px;"><label for="name">',L('Module'),'</label></td>
<td>',L('name'),' <input id="name" name="name" size="14" maxlength="24" value=""/><input type="hidden" name="a" value="',$a,'"/> <input type="submit" name="ok" value="',$L['Search'],'"/></td>
</tr>
</table>
</form>
';

// HTML END

echo '
<script type="text/javascript">
<!--
document.getElementById(\'name\').focus();
//-->
</script>
';

include 'qtf_adm_p_footer.php';