<?php

/**
* PHP version 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license. If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @package    QuickTalk
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2012 The PHP Group
* @version    3.0 build:20121228
*/

session_start();
require_once 'bin/qtf_init.php';
include Translate('qtf_adm.php');

if ( $oVIP->user->role!='A' ) die($L['E_admin']);

// INITIALISE

$bHidetoc=true;
$oHtml->DropJquery();
$oVIP->selfurl = 'qtf_adm_prefix.php';
$oVIP->exiturl = 'qtf_adm_sections.php';
$oVIP->selfname = $L['Item_prefix'];
$oVIP->exitname = $L['Sections'];

// --------
// HTML START
// --------

include 'qtf_adm_p_header.php';

// Browse image file

foreach($L['Prefix_serie'] as $strKey=>$strName)
{
echo '<table class="hidden">
<tr class="hidden">
<td class="hidden" style="width:200px; border-bottom:solid 1px #aaaaaa"><h2>',$strName,'</h2>
<td class="hidden" style="border-bottom:solid 1px #aaaaaa">';

echo '<table  class="hidden">
<tr class="hidden"><th style="width:50px">#</th><th style="width:75px">Icon</th><th>Name</th></tr>
';
for ($i=1;$i<10;$i++)
{
  if ( file_exists($_SESSION[QT]['skin_dir'].'/ico_prefix_'.$strKey.'_0'.$i.'.gif') )
  {
  echo '<tr class="hidden"><td>',$strKey,' 0',$i,'</td><td><img src="',$_SESSION[QT]['skin_dir'],'/ico_prefix_',$strKey,'_0',$i,'.gif" alt="'.$strKey.'"/></td><td>',L('Ico_prefix_'.$strKey.'_0'.$i),'</td></tr>',PHP_EOL;
  }
}
echo '
</table>
</td>
</tr>
</table>
';
}

// HTML END

include 'qtf_adm_p_footer.php';