<?php

/**
* PHP version 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license.  If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @package    QuickTalk forum
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2012 The PHP Group
* @version    3.0 build:20121228
*/

session_start();
require_once 'bin/qtf_init.php';
include Translate('qtf_coppa.php');

// INTIALISE

$oDB->Query('SELECT setting FROM '.TABSETTING.' WHERE param="admin_fax"');
$row = $oDB->Getrow();
$strFax = $row['setting'];
$oDB->Query('SELECT setting FROM '.TABSETTING.' WHERE param="admin_name"');
$row = $oDB->Getrow();
$strName = $row['setting'];
$oDB->Query('SELECT setting FROM '.TABSETTING.' WHERE param="admin_addr"');
$row = $oDB->Getrow();
$strAddr = $row['setting'];

// --------
// HTML START
// --------

include 'qtf_adm_p_header.php';

echo <<<END
<h2>{$L['Register']} / {$L['Coppa_form']}</h2>
<p>{$L['Coppa']['Form_info']}<br/>$strFax<br/>$strName<br/>$strAddr</p>
<table class="hidden">
<tr>
<td class="hidden"><b>{$L['Coppa']['Permission']}</b></td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['Y']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['N']}</td>
</tr>
<tr>
<td class="hidden">{$L['Coppa']['Child_name']}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="hidden">{$L['Coppa']['Child_login']}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="hidden">{$L['Coppa']['Child_email']}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="hidden">{$L['Coppa']['Child_privacy']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['Coppa']['Members']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['Coppa']['Nobody']}</td>
</tr>
</table>
<p>{$L['Coppa']["Agreement"]}</p>
<table class="hidden">
<tr>
<td class="hidden">{$L['Coppa']['Parent_name']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="hidden">{$L['Coppa']['Parent_relation']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="hidden">{$L['Coppa']['Parent_email']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="hidden">{$L['Coppa']['Parent_phone']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="hidden"><br/><br/>{$L['Coppa']['Parent_sign']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
</table>

<p>{$L['Coppa']['End']}</p>\n
END;

// HTML END

include 'qtf_adm_p_footer.php';