<?php

// QTF 3.0 build:20121228

if ( empty($_GET['term']) ) { echo json_encode(array(array('rItem'=>'','rInfo'=>'configuration error'))); return; }

$e0 = 'No result'; if ( isset($_GET['e0']) ) $e0 = $_GET['e0'];
$e1 = 'try other lettres'; if ( isset($_GET['e1']) ) $e1 = $_GET['e1'];
$e2 = 'try without options'; if ( isset($_GET['e2']) ) $e2 = $_GET['e2'];

$s = '*'; if ( isset($_GET['s']) ) $s = $_GET['s'];
$ti = '*'; if ( isset($_GET['ti']) ) $ti = $_GET['ti'];
$st = '*'; if ( isset($_GET['st']) ) $st = $_GET['st'];
$ty = '*'; if ( isset($_GET['ty']) ) $st = $_GET['ty'];

if ( $s==='' || $s==='-1' ) $s='*';
if ( $ti==='' || $ti==='-1' ) $ti='*';
if ( $st==='' || $st==='-1' ) $st='*';
if ( $ty==='' || $ty==='-1' ) $ty='*';

include 'bin/class/qt_class_db.php';
include 'bin/config.php';

$oDBAJAX = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
if ( !empty($oDBAJAX->error) ) return;

$strWhere = 'WHERE p.type="P"';
if ( $s!=='*' ) $strWhere .= ' AND t.forum='.$s;
if ( $st!=='*' ) $strWhere .= ' AND t.status = "'.$st.'"'; // "1"=closed
if ( $ty!=='*' ) $strWhere .= ' AND t.type = "'.$ty.'"'; // "T"=topic "A"=News

if ( $ti!=='*' )
{
  $intYear=date('Y'); if ( isset($_GET['y']) ) $intYear = (int)strip_tags($_GET['y']);
	if ( $ti=='m' ) $ti=date('n'); // date this week (by default)
  if ( $ti=='y' )
  {
    // this year
  	switch($oDBAJAX->type)
    {
    case 'pg': $str = 'SUBSTRING(t.firstpostdate,1,4)="'.$intYear.'"'; break;
    case 'ibase': $str = 'SUBSTRING(t.firstpostdate FROM 1 FOR 4)="'.$intYear.'"'; break;
    case 'sqlite':
    case 'db2':
    case 'oci': $str = 'SUBSTR(t.firstpostdate,1,4)="'.$intYear.'"'; break;
    default: $str = 'LEFT(t.firstpostdate,4)="'.$intYear.'"';
    }
  }
  elseif ( $ti=='w' )
  {
    // this week
    switch($oDBAJAX->type)
    {
    case 'pg': $str = 'SUBSTRING(t.firstpostdate,1,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'ibase': $str = 'SUBSTRING(t.firstpostdate FROM 1 FOR 8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'sqlite':
    case 'db2':
    case 'oci': $str = 'SUBSTR(t.firstpostdate,1,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    default: $str = 'LEFT(t.firstpostdate,8)>"'.DateAdd(date('Ymd'),-8,'day').'"';
    }
  }
  else
  {
    // the month
    $intMonth = intval($ti);
    // check if month from previous year
    if ( $intYear==date('Y') && $intMonth>date('n') ) $intYear = $intYear-1;

    switch($oDBAJAX->type)
    {
    case 'pg': $str = 'SUBSTRING(t.firstpostdate,1,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'ibase': $str = 'SUBSTRING(t.firstpostdate FROM 1 FOR 6)="'.($intYear*100+$intMonth).'"'; break;
    case 'sqlite':
    case 'db2':
    case 'oci': $str = 'SUBSTR(t.firstpostdate,1,6)="'.($intYear*100+$intMonth).'"'; break;
    default:  $str = 'LEFT(t.firstpostdate,6)="'.($intYear*100+$intMonth).'"';
    }
  }
  $strWhere .= ' AND '.$str;
}

// query

$strWhere .= ' AND UPPER(t.tags) LIKE "%'.addslashes(strtoupper($_GET['term'])).'%"';

$oDBAJAX->Query( 'SELECT t.tags FROM '.$qtf_prefix.'qtatopic t INNER JOIN '.$qtf_prefix.'qtapost p ON p.topic=t.id '.$strWhere );

$arr = array();
while($row=$oDBAJAX->GetRow())
{
  $tags = explode(';',$row['tags']);
  foreach($tags as $tag)
  {
    $tag = trim(strtr($tag,',;.','   '));
    if ( stripos($tag,$_GET['term'])===false ) continue;
    if ( !isset($arr[$tag]) ) { $arr[$tag] = 1; } else { $arr[$tag]++; }
    if ( count($arr)>8 ) break;
  }
  if ( count($arr)>8 ) break;
}

// format: result item + result info (as a json array with index "rItem","rInfo" )

$json = array();
if ( count($arr)==0 )
{
  $json[]=array('rItem'=>'','rInfo'=>$e0.', '.($s.$ti.$st==='***' ? $e1 : $e2));
}
else
{
  foreach($arr as $key=>$id) $json[]=array('rItem'=>$key,'rInfo'=>$id);
}

// response

echo json_encode($json);