<?php

// QuickTalk 3.0 build:20121228

include 'bin/qt_lib_txt.php';
include 'bin/class/qt_class_db.php';
include 'bin/qtf_fn_base.php';

// Protection against injection (accept only 3 'lang')
$id = strip_tags($_POST['id']);
$dir = strip_tags($_POST['dir']);
$roles = array('A'=>'Administrator','M'=>'Moderator','U'=>'Member','V'=>'Visitor');
if ( isset($_POST['roles']) )
{
  $arr = Explode(';',strip_tags($_POST['roles']));
  if ( isset($arr[0]) ) $roles['A']=$arr[0];
  if ( isset($arr[1]) ) $roles['M']=$arr[1];
  if ( isset($arr[2]) ) $roles['U']=$arr[2];
  if ( isset($arr[3]) ) $roles['V']=$arr[3];
}
$id = intval(substr($id,1));

include 'bin/config.php';

$oDBAJAX = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
if ( !empty($oDBAJAX->error) ) exit;

// query

$oDBAJAX->Query('SELECT * FROM '.$qtf_prefix.'qtauser WHERE id='.$id);
$row = $oDBAJAX->GetRow();

//output the response

$strUserImage = AsImg($dir.$row['picture'],'',$row['name']);
if ( empty($row['picture']) && isset($_POST['ph']) ) $strUserImage = '<img src="'.$_POST['ph'].'" title="'.$row['name'].'" alt="(user)">';

echo AsImgBox(
  $strUserImage,
  'picbox',
  '',
  $row['name'].'<br/>('.(isset($roles[$row['role']]) ? $roles[$row['role']] : 'unknown role').')'.(empty($row['location']) ? '' : '<br/>'.$row['location'])
  );