<?php

// QuickTalk 3.0 build:20121228

ob_start();

// Page message

if ( !empty($_SESSION['pagedialog']) )
{
  if ( empty($oVIP->msg->text) ) $oVIP->msg->FromString($_SESSION['pagedialog']);
  $oHtml->scripts_end[] = '<script type="text/javascript">
  <!--
  $(document).ready(function() {
    var doc = document.getElementById("pagedialog");
    if ( doc )
    {
    doc.innerHTML = "<img src=\"bin/css/pagedialog_'.$oVIP->msg->type.'.png\" alt=\"+\" class=\"pagedialog\"/>'.$oVIP->msg->text.'";
    doc.className = "absolute_'.$oVIP->msg->type.'";
    $("#pagedialog").fadeIn(500).delay(2000).fadeOut(800);
    }
  });
  //-->
  </script>
  ';
  $oVIP->msg->Clear();
}

// check LangMenu condition

$arrLangMenu = array(); //$strLangMenu = '';
if ( $_SESSION[QT]['userlang']=='1' )
{
  if ( file_exists('bin/qtf_lang.php') )
  {
    include 'bin/qtf_lang.php';
    foreach ($arrLang as $strKey => $arrDef)
    {
    $arrLangMenu[] = '<a href="'.Href().'?'.GetURI('lx').'&amp;lx='.$strKey.'"'.(isset($arrDef[1]) ? ' title="'.$arrDef[1].'"' : '').' class="'.($_SESSION[QT]['show_banner']=='0' ? 'nobanner' : 'banner').'">'.$arrDef[0].'</a>';
    }
  }
  else
  {
    $arrLangMenu[] = '<span class="small">missing file:bin/qtf_lang.php</span>';
  }
}
$strLangMenu = '<div class="langmenu">'.PHP_EOL;
if ( $oVIP->user->id>0 )
{
  $strLangMenu .= AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',$L['User'],'user').'&nbsp;<a href="'.Href('qtf_user.php').'?id='.$oVIP->user->id.'" class="banner">'.$_SESSION[QT.'_usr_name'].'</a>';
}
else
{
  $strLangMenu .= AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_0.gif','-',$L['User'],'user').'&nbsp;'.L('Userrole_V');
}
if ( count($arrLangMenu)>1 ) $strLangMenu .= ' | '.implode(' ',$arrLangMenu);
if ( QTF_SHOW_CONTRAST )
{
  $strLangMenu .= '<a class="css-default" href="'.Href().'?'.GetURI('css').'&amp;css='.($_SESSION['qtf_maincss']=='maincss' ? 'contrast' : 'maincss' ).'"><img class="contrast" style="width:12px;height:12px;vertical-align:middle" src="bin/css/qtf_contrast.gif" title="High contrast display" alt="Contrast"/></a>';
}
$strLangMenu .= '</div>'.PHP_EOL;

// check welcome

$bWelcome = true;
if ( in_array($oVIP->selfurl,array('qtf_user_new.php','qtf_form_reg.php','qtf_change.php')) ) $bWelcome = false;
if ( $_SESSION[QT]['sys_welcome']=='0' ) $bWelcome = false;
if ( $_SESSION[QT]['sys_welcome']=='1' && $oVIP->user->auth ) $bWelcome = false;
if ( $_SESSION[QT]['board_offline']=='1' ) $bWelcome = false;
if ( $bWelcome && !file_exists(Translate('sys_welcome.txt')) ) $bWelcome = false;

// check contrast

if ( isset( $_SESSION['qtf_maincss']) && $_SESSION['qtf_maincss']==='contrast' ) $oHtml->links[] = '<link rel="stylesheet" type="text/css" href="bin/css/qtf_contrast.css" />';


// --------
// HTML START
// --------

$oHtml->title = (empty($oVIP->selfname) ? '' : $oVIP->selfname.' - ').$oHtml->title;
echo $oHtml->Head();
echo $oHtml->Body(array('onload'=>(isset($strBodyAddOnload) ? $strBodyAddOnload : null),'onunload'=>(isset($strBodyAddOnunload) ? $strBodyAddOnunload : null)));

$oHtml->Page(START);

// MENU

$arrMenus = array(); // keys are: 'h' in header, 'f' in footer, 'n' name, 'u' url, 's' selected with url's, 'secondary' define if class secondary can be applied to header menu

if ( $_SESSION[QT]['home_menu']=='1' && !empty($_SESSION[QT]['home_url']) )
{
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$_SESSION[QT]['home_name'], 'u'=>$_SESSION[QT]['home_url']);
}
$arrMenus[]=array('h'=>false,'f'=>true, 'n'=>L('Legal'), 'u'=>'qtf_privacy.php');
$arrMenus[]=array('h'=>QTF_SHOW_FAQMENU,'f'=>true, 'n'=>L('FAQ'), 'u'=>'qtf_faq.php');
$arrMenus[]=array('h'=>true, 'f'=>false,'n'=>ObjTrans('index','i',$_SESSION[QT]['index_name']), 'u'=>'qtf_index.php', 's'=>'qtf_index.php qtf_items.php qtf_item.php qtf_calendar.php qtf_form_edit.php qtf_form_del.php', 'secondary'=>true);
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>L('Search'), 'u'=>( $_SESSION[QT]['board_offline']=='1' || ($oVIP->user->role=='V' && $_SESSION[QT]['visitor_right']<5) ? '' : 'qtf_search.php'),'s'=>'qtf_s_search.php qtf_search.php');
$arrMenus[]=array('h'=>true, 'f'=>false,'n'=>L('Memberlist'), 'u'=>( $_SESSION[QT]['board_offline']=='1' || ($oVIP->user->role=='V' && $_SESSION[QT]['visitor_right']<4) ? '' : 'qtf_users.php'));
if ( CanPerform('show_stats',$oVIP->user->role) )
{
$arrMenus[]=array('h'=>false,'f'=>true,'n'=>L('Statistics'), 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qtf_stats.php'));
}
if ( $oVIP->user->auth )
{
$arrMenus[]=array('h'=>true, 'f'=>true,'n'=>L('Profile'), 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qtf_user.php?id='.$oVIP->user->id), 's'=>'qtf_user.php qtf_user_img.php.php qtf_user_sign.php qtf_user_pwd.php', 'secondary'=>true);
$arrMenus[]=array('h'=>true, 'f'=>true,'n'=>L('Logout'), 'u'=>'qtf_login.php?a=out');
}
else
{
$arrMenus[]=array('h'=>true, 'f'=>true,'n'=>L('Register'),'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qtf_user_new.php'), 'secondary'=>true);
$arrMenus[]=array('h'=>true, 'f'=>true,'n'=>L('Login'),'u'=>'qtf_login.php');
}

$strMenus = '
<!-- menu -->
<div class="menu'.($bWelcome ? ' withwelcome' : '').'">
<ul class="inline">
';
foreach($arrMenus as $arrMenu) {
  if ( $arrMenu['h'] ) {
    if ( !isset($arrMenu['s']) ) $arrMenu['s']=' '.$arrMenu['u'];
    if ( !isset($arrMenu['i']) ) $arrMenu['i']=' '.$arrMenu['u'];
    if ( empty($arrMenu['u']) )
    {
      $strMenus .= '<li'.(isset($arrMenu['secondary']) ? ' class="secondary"' : '').'>'.$arrMenu['n'].'</li>'.PHP_EOL;
    }
    else
    {
      $strMenus .= '<li'.(isset($arrMenu['secondary']) ? ' class="secondary"' : '').(strstr($arrMenu['s'],$oVIP->selfurl) ? ' id="menuactif"' : '').'><a href="'.Href($arrMenu['u']).'"'.(strstr($arrMenu['i'],$oVIP->selfurl) ? ' onclick="return false;"' : '').'>'.$arrMenu['n'].'</a></li>'.PHP_EOL;
    }
  }
}
$strMenus .='</ul>
</div>
';

// show banner, menu and welcome

switch($_SESSION[QT]['show_banner'])
{
  case '0': HtmlBanner('',$strLangMenu,'','nobanner'); echo $strMenus; break;
  case '1': HtmlBanner($_SESSION[QT]['skin_dir'].'/qtf_logo.gif',$strLangMenu); echo $strMenus; break;
  case '2': HtmlBanner($_SESSION[QT]['skin_dir'].'/qtf_logo.gif',$strLangMenu,$strMenus); break;
}
if ( $bWelcome )
{
echo '
<!-- welcome -->
<div class="welcome">';
include Translate('sys_welcome.txt');
echo '</div>
';
}

// MAIN

echo '
<!-- MAIN CONTROL -->
<div class="body">
<div class="body_in">
';

echo '
<!-- top bar -->
<div class="bodyhd">
<div class="bodyhdleft">
<img class="bodyhdleft" src="',$_SESSION[QT]['skin_dir'],'/ico_hd_left.gif" alt=""/>
<a class="body_hd" href="',Href('qtf_index.php'),'"',($oVIP->selfurl=='qtf_index.php' ? ' onclick="return false;"' : ''),'>',ObjTrans('index','i',$_SESSION[QT]['index_name']),'</a>
';
if ( isset($s) ) {
if ( is_int($s) ) {
if ( $s>=0 ) {
  echo QTF_CRUMBTRAIL,'<a class="body_hd" href="',Href('qtf_items.php'),'?s=',$s,'"',($oVIP->selfurl=='qtf_items.php' ? ' onclick="return false;"' : ''),'>',ObjTrans('sec',"s$s",(isset($oSEC) ? $oSEC->name : $_SESSION[QT]['sys_sections'][$s])),'</a>';
  if ( isset($oTopic) && isset($oSEC) )
  {
    if ( $oTopic->numid>=0 && $oSEC->numfield!='N' ) echo QTF_CRUMBTRAIL,sprintf($oSEC->numfield,$oTopic->numid);
  }
}}}

echo '</div>
<div class="bodyhdright">
';

switch($oVIP->selfurl)
{
case 'qtf_stats.php':
  $strURI = QTargimplode(QTarradd(QTargexplode(),'view'));
  break;
case 'qtf_item.php':
  $strURI = QTargimplode(QTarradd(QTargexplode(),'view'));

  if ( $_SESSION[QT]['viewmode']=='C' )
  {
  echo '<a href="',Href($oVIP->selfurl),'?',$strURI,'&amp;view=N"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/></a>&nbsp;';
  echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/>';
  }
  else
  {
  echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/>&nbsp;';
  echo '<a href="',Href($oVIP->selfurl),'?',$strURI,'&amp;view=C"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/></a>';
  }
  break;
case 'qtf_users.php':
  if ( !empty($_SESSION[QT]['avatar']) )
  {
    if ( $_SESSION[QT]['viewmode']=='C' )
    {
    echo '<a href="',Href('qtf_users.php'),'?view=N"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/></a>&nbsp;';
    echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/>';
    }
    else
    {
    echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/>&nbsp;';
    echo '<a href="',Href('qtf_users.php'),'?view=C"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/></a>';
    }
  }
  break;
}

echo '&nbsp;<img class="bodyhdright" src="',$_SESSION[QT]['skin_dir'],'/ico_hd_right.gif" alt=""/>
</div>
</div>
';

// MAIN CONTENT

echo '
<!-- main content -->
<div class="bodyct">
';