<?php

// QuickTalk 3.0 build:20121228

class cDomain
{

public $id = -1;
public $title = '';

// --------

function __construct($aDom=null)
{
  if ( isset($aDom) )
  {
    if ( is_int($aDom) )
    {
      if ( $aDom<0 ) die('No domain '.$aDom);
      global $oDB;
      $oDB->Query('SELECT * FROM '.TABDOMAIN.' WHERE id='.$aDom);
      $row = $oDB->Getrow();
      if ( $row===False ) die('No domain '.$aDom);
      $this->MakeFromArray($row);
    }
    elseif ( is_array($aDom) )
    {
      $this->MakeFromArray($aDom);
    }
    else
    {
      die('Invalid constructor parameter #1 for the class cDomain');
    }
  }
}

// --------

public function MakeFromArray($arr)
{
  foreach($arr as $strKey=>$oValue) {
  switch ($strKey) {
    case 'id':        $this->id = intval($oValue); break;
    case 'title':     $this->title = $oValue; break;
  }}
}

// --------

public static function Add($str='')
{
  if ( !is_string($str) ) die('cDomain->Add: Argument #1 must be a string');
  global $oDB;
  $oDB->Query('INSERT INTO '.TABDOMAIN.' (id,title,titleorder) VALUES ('.$oDB->Nextid(TABDOMAIN).',"'.addslashes($str).'",0)');
  if ( isset($_SESSION[QT]['sys_domains']) ) Unset($_SESSION[QT]['sys_domains']);
}

// --------

public static function Delete($id)
{
  if ( !is_int($id) ) die('cDomain->Delete: Argument #1 must be a integer');
  if ( $id<1 ) die('cDomain->Delete: Cannot delete domain 0');
  global $oDB;
  $oDB->Query('UPDATE '.TABSECTION.' SET domainid=0 WHERE domainid='.$id); // sections return to domain 0
  $oDB->Query('DELETE FROM '.TABDOMAIN.' WHERE id='.$id);
  cLang::Delete('domain','d'.$id);
  if ( isset($_SESSION[QT]['sys_sections']) ) Unset($_SESSION[QT]['sys_sections']);
  if ( isset($_SESSION['L']['domain'][$id]) ) Unset($_SESSION['L']['domain'][$id]);
}

// --------

public static function MoveSections($id=-1,$t=-1)
{
  QTargs( 'cDomain->MoveSections',array($id,$t),array('int','int') );
  global $oDB;
  $oDB->Query('UPDATE '.TABSECTION.' SET domainid='.$t.' WHERE domainid='.$id);
}

// --------

public static function Rename($id=-1,$str='untitled')
{
  if ( !is_int($id) || $id<0 ) die('cDomain->Rename: Argument #1 must be an integer');
	if ( !is_string($str) || empty($str) ) die('cDomain->Rename: Argument #2 must be a string');
  global $oDB;
  $oDB->Query('UPDATE '.TABDOMAIN.' SET title="'.addslashes($str).'" WHERE id='.$id);
  cLang::Delete('domain','d'.$id);
  if ( isset($_SESSION[QT]['sys_domains']) ) Unset($_SESSION[QT]['sys_domains']);
  if ( isset($_SESSION['L']['domain'][$id]) ) Unset($_SESSION['L']['domain'][$id]);
}

// --------

}