<?php

// QuickTalk 3.0 build:20121228

function Sectionlist($selected=-1,$arrReject=array(),$arrDisabled=array(),$strAll='')
{
  // attention $selected is type-sensitive (uses '*' or [int])
  // if $strAll is not empty, the list includes in first position an 'all' option having the value '*' and the label $strAll
  if ( is_int($arrReject) || is_string($arrReject) ) $arrReject = array((int)$arrReject);
  if ( is_int($arrDisabled) || is_string($arrDisabled) ) $arrDisabled = array((int)$arrDisabled);
  QTargs('Sectionlist',array($arrReject,$arrDisabled,$strAll),array('arr','arr','str'));
  global $oVIP;
  $str = '';

  if ( !empty($strAll) ) $str ='<option value="*"'.($selected==='*' ? QSEL : '').(in_array('*',$arrDisabled,true) ? ' disabled="disabled"': '').'>'.(strlen($strAll)>20 ? substr($strAll,0,19).'...' : $strAll).'</option>';

  if ( isset($oVIP->sections) ) {
  if ( count($oVIP->sections)>0 ) {

    // reject
    $arr = $oVIP->sections;
    if ( count($arrReject)>0 ) { foreach($arrReject as $id) if ( isset($arr[$id]) ) unset($arr[$id]); }

    // format
    if ( count($arr)>3 && count($oVIP->domains)>1 )
    {
      $arr = GetSections($oVIP->user->role,-2,$arrReject);// get all sections at once (grouped by domain)
      foreach ($oVIP->domains as $intDom=>$strDom)
      {
        if ( isset($arr[$intDom]) ) {
        if ( count($arr[$intDom])>0 ) {
          $str .= '<optgroup label="'.(strlen($strDom)>20 ? substr($strDom,0,19).'...' : $strDom).'">';
          foreach($arr[$intDom] as $id=>$row) $str .= '<option value="'.$id.'"'.($id===$selected ? QSEL : '').(in_array($id,$arrDisabled,true) ? ' disabled="disabled"': '').'>'.(strlen($row['title'])>20 ? substr($row['title'],0,19).'...' : $row['title']).'</option>';
          $str .= '</optgroup>';
        }}
      }
    }
    else
    {
      foreach($arr as $id=>$strSection) $str .= '<option value="'.$id.'"'.($id===$selected ? QSEL : '').(in_array($id,$arrDisabled,true) ? ' disabled="disabled"': '').'>'.$strSection.'</option>';
    }

  }}
  return $str;
}

// --------

function HtmlCsvLink($strUrl,$intCount=20,$intPage=1)
{
  if ( empty($strUrl) ) return '';
  if ( $intCount<=$_SESSION[QT]['items_per_page'] )
  {
  return '<a href="'.$strUrl.'&amp;size=all&amp;n='.$intCount.'" class="a_csv" title="'.L('H_Csv').'">'.L('Csv').'</a>';
  }
  else
  {
  $strCsv = '<a href="'.$strUrl.'&amp;size=p'.$intPage.'&amp;n='.$intCount.'" class="csv" title="'.L('H_Csv').'">'.L('Csv').' <span class="small">('.strtolower(L('Page')).')</span></a>';
  if ( $intCount<=1000 )                   $strCsv .= ' &middot; <a href="'.$strUrl.'&amp;size=all&amp;n='.$intCount.'" class="csv" title="'.L('H_Csv').'">'.L('Csv').' <span class="small">('.strtolower(L('All')).')</span></a>';
  if ( $intCount>1000 && $intCount<=2000 ) $strCsv .= ' &middot; <a href="'.$strUrl.'&amp;size=m1&amp;n='.$intCount.'" class="csv" title="'.L('H_Csv').'">'.L('Csv').' <span class="small">(1-1000)</span></a> &middot; <a href="'.$strUrl.'&amp;size=m2&amp;n='.$intCount.'" class="csv" title="'.L('H_Csv').'">'.L('Csv').' <span class="small">(1000-'.$intCount.')</span></a>';
  if ( $intCount>2000 && $intCount<=5000 ) $strCsv .= ' &middot; <a href="'.$strUrl.'&amp;size=m5&amp;n='.$intCount.'" class="csv" title="'.L('H_Csv').'">'.L('Csv').' <span class="small">(1-5000)</span></a>';
  if ( $intCount>5000 )                    $strCsv .= ' &middot; <a href="'.$strUrl.'&amp;size=m5&amp;n='.$intCount.'" class="csv" title="'.L('H_Csv').'">'.L('Csv').' <span class="small">(1-5000)</span></a> &middot; <a href="'.$strUrl.'&amp;size=m10&amp;n='.$intCount.'" class="csv" title="'.L('H_Csv').'">'.L('Csv').' <span class="small">(5000-10000)</span></a>';
  }
  return $strCsv;
}

// --------

function HtmlLettres($strGroup='all',$strAll='All',$strClass='lettres')
{
  // $strGroup is the current group, $strAll is the label of the 'all' group
  $strGroups = '<td class="'.$strClass.($strGroup==='all' ? ' active' : '').'" style="width:40px;">'.($strGroup==='all' ? $strAll : '<a class="'.$strClass.'" href="'.Href().'?group=all">'.$strAll.'</a>' ).'</td>';
  for ($g='A';$g!='AA';$g++) $strGroups .= '<td class="'.$strClass.($strGroup===$g ? ' active' : '').'" style="width:18px;">'.($strGroup===$g ? $g : '<a class="'.$strClass.'" href="'.Href().'?group='.$g.'">'.$g.'</a>' ).'</td>';
  $strGroups .= '<td class="'.$strClass.($strGroup==='0' ? ' active' : '').'" style="width:18px;">'.($strGroup==='0' ? '#' : '<a class="'.$strClass.'" href="'.Href().'?group=0">#</a>' ).'</td>';
  return '<td class="lettres" style="width:50px">'.L('Show').'</td>'.$strGroups.'<td class="hidden">&nbsp;</td>'.PHP_EOL;
}

// --------

function HtmlBanner($logo='',$langMenu='',$mainMenu='',$class='banner')
{
  echo '<!-- banner -->',PHP_EOL;
  echo '<div class="',$class,'">',PHP_EOL;
  if ( !empty($logo) ) echo '<img class="logo" src="',$logo,'" alt="',$_SESSION[QT]['site_name'],'" title="',$_SESSION[QT]['site_name'],'"/>',PHP_EOL;
  if ( !empty($langMenu) ) echo $langMenu,PHP_EOL;
  if ( !empty($mainMenu) ) echo $mainMenu,PHP_EOL;
  echo '</div>',PHP_EOL;
}

// --------

function HtmlPage($e=0)
{

global $oVIP,$L,$oHtml;
include 'qtf_p_header.php';

if ( $e==99 )
{
$strFile = Translate('sys_offline.txt'); if ( file_exists($strFile) ) { include $strFile; } else { echo Error(10); }
}
else
{
$oHtml->Msgbox(); echo Error($e); $oHtml->Msgbox(END);
}

include 'qtf_p_footer.php';
exit;

}

// --------

function HtmlTabs($arrTabs=array(0=>'Empty'),$strUrl='',$keyCurrent=0,$intMax=6,$bWarning=true)
{

// tabx means the last tab (can be special due to popup)
// if defined, the class/style tab_on replaces the class/style tab (but you can cumulate the classes in the definition)
// if defined, the class/style tabx_on replaces the class/style tabx (but you can cumulate the styles in the definition)
// When strCurrent is defined, this tab will not be clickable
// $arrTabs can be an array of: strings, arrays, cTab

// check

if ( !is_array($arrTabs) ) die('HtmlTabs: Argument #1 must be an array');
if ( !empty($strUrl) ) { if ( !strstr($strUrl,'?') ) $strUrl .= '?'; }

// check current (if not found or not set, uses the first as current)

if ( !isset($arrTabs[$keyCurrent]) ) { $arr=array_keys($arrTabs); $keyCurrent=$arr[0]; }

// display

$strOuts='';
$strOut='';
$intCol=0;

foreach($arrTabs as $key=>$oTab)
{
  $intCol++;
  $strTab = '';
  $strTabDesc = '';

    if ( is_string($oTab) )
    {
      $strTab = $oTab;
    }
    elseif ( is_array($oTab) )
    {
      if ( isset($oTab['tabdesc']) )
      {
        if ( !empty($oTab['tabdesc']) ) $strTabDesc = $oTab['tabdesc'];
      }
      if ( isset($oTab['tabname']) )
      {
        if ( !empty($oTab['tabname']) ) { $strTab=$oTab['tabname']; } else { $strTab=ObjTrans('tab',$key); }
      }
      else
      {
        $strTab=ObjTrans('tab',$key);
      }
    }
    elseif ( is_a($oTab,'ctab') )
    {
      $strTabDesc = $oTab->tabdesc;
      $strTab = $oTab->tabname; if ( empty($strTab) ) $strTab = $oTab->tabid;
    }
    else
    {
      die('HtmlTabs: Arg #1 must be an array of strings, arrays or cTab');
    }

    $strOut .= '<li'.( $keyCurrent===$key ? ' class="active"' : '').'>';
    if ( empty($strUrl) || $keyCurrent===$key )
    {
      $strOut .=  $strTab;
    }
    else
    {
      $strOut .=  '<a href="'.$strUrl.'&amp;tt='.$key.'"'.(empty($strTabDesc) ? '' : ' title="'.$strTabDesc.'"').($bWarning ? ' onclick="return edited(bEdited,0);"' : '').'>'.$strTab.'</a>';
    }
    $strOut .= '</li>'.PHP_EOL;

  if ( $intCol>=count($arrTabs) )
  {
    $strOuts = '<ul>'.$strOut.'</ul>'.PHP_EOL.$strOuts;
    break;
  }
  if ( $intCol>=$intMax )
  {
    $strOuts = '<ul>'.$strOut.'</ul>'.PHP_EOL.$strOuts;
    $intCol=0;
  }
}

return '
<!-- tab header begin -->
<div class="tab">
'.$strOuts.'
</div>
<!-- tab header end -->
';

}

// --------

function TableHeader($arrFLD,$intCount=0,$strUrl='',$strOrder='lastpostdate',$strDir='DESC')
{
  $img['ASC'] = ' <img class="ico i_sort" src="'.$_SESSION[QT]['skin_dir'].'/sort_asc.gif" alt="+"/>';
  $img['DESC']= ' <img class="ico i_sort" src="'.$_SESSION[QT]['skin_dir'].'/sort_desc.gif" alt="-"/>';

  foreach($arrFLD as $strKey=>$oFLD)
  {
    // change the text to hyperlink+image when necessary
    if ( $oFLD->sort && $intCount>2 && !empty($strUrl) )
    {
      if ( $strKey==$strOrder )
      {
      $str = '<a href="'.Href($strUrl).'&amp;order='.$oFLD->uid.'&amp;dir='.($strDir=='ASC' ? 'DESC' : '').($strDir=='DESC' ? 'ASC' : '').'">'.$oFLD->name.'</a>'.$img[$strDir];
      }
      else
      {
      $str = '<a href="'.Href($strUrl).'&amp;order='.$oFLD->uid.'&amp;dir='.$oFLD->sort.'">'.$oFLD->name.'</a>';
      }
    }
    else
    {
    $str = $oFLD->name;
    }
    echo '<td',(isset($oFLD->class_th) ? ' class="'.$oFLD->class_th.'"' : ''),(!empty($oFLD->style_th) ? ' style="'.$oFLD->style_th.'"' : ''),'>',$str,'</td>',PHP_EOL;
  }
}

// --------

function TableRowShow($arrFLD,$arr,$strRowClass='table_o r1',$arrSrc=array())
{
  global $oVIP;
  echo '<tr class="',$strRowClass,'">',PHP_EOL;
  foreach($arrFLD as $strKey=>$oFLD)
  {
    $strFullClass = $oFLD->class_td.($oFLD->class_dynamic ? $oFLD->AddClassDynamic($arrSrc) : ''); // in case of dynamic class
    $strFullStyle = $oFLD->style_td.($oFLD->style_dynamic ? $oFLD->AddStyleDynamic($arrSrc) : ''); // in case of dynamic style
    $strClass = ''; if ( !empty($strFullClass) ) $strClass = ' class="'.$strFullClass.'"';
    $strStyle = ''; if ( !empty($strFullStyle) ) $strStyle = ' style="'.$strFullStyle.'"';
    // show column (empty value is replaced by &nbsp;)
    if ( !isset($arr[$strKey]) ) $arr[$strKey]='&nbsp;';
    if ( $arr[$strKey]==='' ) $arr[$strKey]='&nbsp;';
    echo '<td',$strClass,$strStyle,'>',$arr[$strKey],'</td>'.PHP_EOL;
  }
  echo '</tr>',PHP_EOL;
}

// --------

function FormatCsvRow($arrFLD,$row,$oSEC=null)
{
  if ( !is_array($row) ) die('FormatTableRow: Wrong argument #3');

  // PRE-PROCESS

  $strSectionNumfield='N';
  if ( isset($arrFLD['numid']) )
  {
    $strSectionNumfield='%s';
    if ( is_a($oSEC,'cSection') ) $strSectionNumfield=$oSEC->numfield;
    if ( isset($row['numfield']) ) $strSectionNumfield=$row['numfield'];
    if ( !isset($row['numid']) ) $row['numid']='';
  }
  $strSectionPrefix='';
  if ( isset($arrFLD['smile']) )
  {
  	if ( is_a($oSEC,'cSection') ) $strSectionPrefix=$oSEC->prefix;
  	if ( isset($row['prefix']) ) $strSectionPrefix=$row['prefix'];
  	if ( !isset($row['smile']) || $row['smile']=='00' ) $row['smile']='';
  }

  // Process

  $arrRows = array();
  $strMail='';
  $strWww='';
  if ( isset($row['items']) && isset($row['conns']) ) $intEC = $row['items'] + $row['conns'];

  foreach(array_keys($arrFLD) as $strKey)
  {
    $str='';
    switch($strKey)
    {
    	// type and title are default
    	case 'uid':
    	case 'id': $str = (int)$row['id']; break;
    	case 'numid': $str = ( $strSectionNumfield=='N' ? '' : sprintf($strSectionNumfield,$row['numid']) ); break;
      case 'status':
      	$arr = cTopic::GetStatuses();
      	$str = (isset($arr[$row['status']]) ? $arr[$row['status']] : 'unknown');
      	break;
      case 'text': $str = $row['preview']; break;
      case 'section': $str = $oVIP->sections[$row['forum']]; break;
      case 'firstpostdate': $str = QTdatestr($row['firstpostdate'],'Y-m-d','$'); break;
      case 'lastpostdate': $str = QTdatestr($row['firstpostdate'],'Y-m-d','$'); break;
      case 'posts':
      case 'replies': $str = (int)$row['replies']; break;
      case 'coord':
        if ( $bMap && isset($row['y']) && isset($row['x']) )
        {
          $y = floatval($row['y']);
          $x = floatval($row['x']);
          if ( !empty($y) && !empty($x) ) $str = str_replace('&#176;','',QTdd2dms($y).','.QTdd2dms($x));
        }
        break;
      case 'tags':
        $arrTags = ( empty($row['tags']) ? array() : explode(';',$row['tags']) );
        foreach (array_keys($arrTags) as $i) if ( empty($arrTags[$i]) ) unset($arrTags[$i]);
        if ( count($arrTags)>5 )
        {
          $arrTags = array_slice($arrTags,0,5);
          $arrTags[]='...';
        }
        $str = implode(' ',$arrTags);
        break;
      case 'user.id': $str = (int)$row['id']; break;
      case 'user.name': $str = $row['name']; break;
      case 'user.role': $str = $row['role']; break;
      case 'user.contact': $str = (isset($row['mail']) ? $row['mail'].' ' : '').(isset($row['www']) ? $row['www'] : ''); break;
      case 'user.location': $str = $row['location']; break;
      case 'user.name': $str = $row['name']; break;
      case 'user.notes': $str = (int)$row['notes']; break;
      case 'user.firstdate': $str = QTdatestr($row['firstdate'],'Y-m-d',''); break;
      case 'user.lastdate': $str = QTdatestr($row['lastdate'],'Y-m-d','').(empty($row['ip']) ?  '&nbsp;' : ' ('.$row['ip'].')'); break;
      default: if ( isset($row[$strKey]) ) $str = $row[$strKey]; break;
    }
    $arrRows[$strKey] = ToCsv($str);
  }
  return $arrRows;
}

// --------

function FormatTableRow($strTableId='t1',$arrFLD,$row,$oSEC,$bMap=false)
{
  $arr = array();
  global $oVIP,$arrExtData;
  if ( is_a($row,'cTopic') ) $row = get_object_vars($row);
  if ( !is_array($row) ) die('FormatTableRow: Wrong argument $row');
  if ( !isset($row['replies']) ) $row['replies']=0;

  // PRE-PROCESS

  $strSectionNumfield='N';
  $strSectionPrefix='';

  if ( isset($arrFLD['numid']) )
  {
    $strSectionNumfield='%s';
    if ( is_a($oSEC,'cSection') && $oSEC->uid>=0 ) $strSectionNumfield=$oSEC->numfield;
    if ( isset($row['numfield']) ) $strSectionNumfield=$row['numfield'];
    if ( !isset($row['numid']) ) $row['numid']='';
    if ( empty($strSectionNumfield) && !empty($row['forum']) && isset($_SESSION[QT]['sys_sections_flds'][(int)$row['forum']]['numfield']) ) $strSectionNumfield=$_SESSION[QT]['sys_sections_flds'][(int)$row['forum']][numfield];
  }

  if ( isset($arrFLD['smile']) )
  {
    if ( is_a($oSEC,'cSection') && $oSEC->uid>=0 ) $strSectionPrefix=$oSEC->prefix;
    if ( isset($row['prefix']) ) $strSectionPrefix=$row['prefix'];
    if ( !isset($row['icon']) ) $row['icon']='00';
    if ( empty($strSectionPrefix) && $row['icon']!='00' && isset($row['forum']) && isset($_SESSION[QT]['sys_sections_flds'][(int)$row['forum']]['prefix']) ) $strSectionPrefix=$_SESSION[QT]['sys_sections_flds'][(int)$row['forum']]['prefix'];
  }

  if ( isset($arrFLD['youreply']) && $row['replies']>0 )
  {
    global $arrMe;
    if ( !empty($arrMe) ) {
    if ( array_key_exists($row['id'],$arrMe) ) {
    $row['youreply'] = '<span title="'.L('You_reply').(empty($arrMe[$row['id']]) ? '' : ', '.QTdatestr($arrMe[$row['id']],'d M','H:i',true,true)).'"><b>&reg;</b></span>';
    }}
  }

  if ( isset($arrFLD['sectiontitle']) ) { if ( isset($_SESSION[QT]['sys_sections'][$row['forum']]) ) { $strSectiontitle = $_SESSION[QT]['sys_sections'][$row['forum']]; } else { $strSectiontitle='[section '.$row['forum'].']'; } }

  if ( isset($arrFLD['tags']) || isset($arrFLD['title']) )
  {
    $arrTags=array();
    $arrMoreTags=array();
    if ( !empty($row['tags']) ) $arrTags=explode(';',$row['tags']);
    if ( count($arrTags)>3 ) $arrMoreTags = array_slice($arrTags,3,10);
    $arrTags = array_slice($arrTags,0,3);
  }

  // when searching in posts without title, use this to report empty title
  if ( isset($arrFLD['title']) )
  {
    if ( trim($row['title'])=='' ) $row['title']='('.strtolower(L('Reply')).')';
    if ( empty($row['title']) && $row['title']!='0' ) $row['title']='('.strtolower(L('Reply')).')';
  }

  // icon
  if ( isset($arrFLD['icon']) )
  {
    if ( !isset($row['hottopic']) ) $row['hottopic'] = cTopic::Hottopic($row['replies']);
    if ( strtolower($row['type'])=='a' )
    {
    $strTicon = $_SESSION[QT]['skin_dir'].'/ico_topic_a_0'.$row['hottopic'].'.gif';
    $strTname = L('Ico_item_a_0'.$row['hottopic']);
    }
    else
    {
    $strTicon = $_SESSION[QT]['skin_dir'].'/ico_topic_t_'.$row['status'].$row['hottopic'].'.gif';
    $strTname = L('Ico_item_t_'.$row['status'].$row['hottopic']);
    }
  }
  // mail
  if ( isset($arrFLD['mail']) || isset($arrFLD['location']) )
  {
    $strMail = '<img class="ico i_user" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_e_0.gif" alt="mail" title="no e-mail"/>';
    if ( !empty($row['mail']) )
    {
    if ( $row['privacy']=='2' ) $strMail = AsEmails($row['mail'],$row['id'],'0','img'.(QTF_JAVA_MAIL ? 'java' : ''),false,$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;');
    if ( $row['privacy']=='1' && $oVIP->user->role!='V' ) $strMail = AsEmails($row['mail'],$row['id'],'0','img'.(QTF_JAVA_MAIL ? 'java' : ''),false,$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;');
    if ( $oVIP->user->id==$row['id'] || $oVIP->user->IsStaff() ) $strMail = AsEmails($row['mail'],$row['id'],'0','img'.(QTF_JAVA_MAIL ? 'java' : ''),false,$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;');
    }
  }
  // www
  if ( isset($arrFLD['www']) || isset($arrFLD['location']) )
  {
    if ($row['www']=='')
    {
    $strWww = '<img class="ico i_user" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_w_0.gif" alt="email" title="no web site"/>';
    }
    else
    {
    $strWww = '<a href="'.$row['www'].'"><img class="ico i_user" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_w_1.gif" alt="www" title="web site"/></a>';
    }
  }
  // coord
  $strCoord='';
  $strLatLon='';
  if ( $bMap && isset($row['y']) && isset($row['x']) )
  {
    $y = floatval($row['y']);
    $x = floatval($row['x']);
    if ( !empty($y) && !empty($x) )
    {
      $strCoord = '<a class="gmappoint" href="javascript:void(0)"'.($_SESSION[QT]['m_map_hidelist'] ? '' : ' onclick="gmapPan(\''.$y.','.$x.'\');"').' title="'.L('Coord').': '.round($y,8).','.round($x,8).'"><img class="gmappoint" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_m_1.gif" alt="G" title="'.L('Coord_latlon').' '.QTdd2dms($y).','.QTdd2dms($x).'"/></a>';
      $strLatLon = QTdd2dms($y).'<br/>'.QTdd2dms($x);
    }
  }
  if ( $bMap && empty($strCoord) ) $strCoord = '<img class="ico i_user" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_m_0.gif" alt="G" title="No coordinates"/>';

  $strPriv = '';
  if ( isset($row['privacy']) && isset($row['id']) )
  {
  if ( $row['privacy']!=2 && ($oVIP->user->IsStaff() || $oVIP->user->id==$row['id']) ) $strPriv=' <img class="ico" src="admin/private'.$row['privacy'].'.gif" title="'.L('Privacy_visible_'.$row['privacy']).'"/>';
  }

  // FORMAT

  // ::::::::::
  foreach($arrFLD as $strKey=>$oFLD) {
  // ::::::::::

    switch ($strKey)
    {
    case 'icon': $arr[$strKey] = AsImg($strTicon,'T',$strTname,'ico i_item','',Href('qtf_item.php').'?t='.$row['id']); break;
    case 'numid': $arr[$strKey] = ( $strSectionNumfield=='N' ? '&nbsp;' : '<span class="span_ref">'.sprintf($strSectionNumfield,$row['numid']).'</span>' ); break;
    case 'smile': $arr[$strKey] = ( $row['icon']=='00' || empty($row['icon']) ? '&nbsp;' : AsImg($_SESSION[QT]['skin_dir'].'/ico_prefix_'.$strSectionPrefix.'_'.$row['icon'].'.gif','[o]',L('Ico_prefix_'.$strSectionPrefix.'_'.$row['icon']),'ico ico_prefix') ); break;
    case 'title':
      $arr[$strKey] = ( $row['type']=='A' ? '<span class="small">'.L('News_stamp').'</span>' : '' ).'<a class="topic" href="'.Href('qtf_item.php').'?t='.$row['id'].'"'.(!empty($row['preview']) ? ' title="'.$row['preview'].'"' : '').'>'.$row['title'].'</a>'.( empty($strCoord) ? '' : ' '.$strCoord );
      if ( !empty($arrTags) ) $arr[$strKey] .= ' <img class="tags" src="'.$_SESSION[QT]['skin_dir'].'/ico_tags.gif'.'" alt="tags" title="'.implode(', ',$arrTags).(empty($arrMoreTags) ? '' : '...').'">';
      break;
    case 'youreply': $arr[$strKey] = ( isset($row['youreply']) ? $row['youreply'] : '&nbsp;'); break;
    case 'replies': $arr[$strKey] = $row['replies']; break;
    case 'sectiontitle': $arr[$strKey] = ObjTrans('sec','s'.$row['forum'],$strSectiontitle); break;
    case 'firstpostname': $arr[$strKey] = '<a href="qtf_user.php?id='.$row['firstpostuser'].'" title="'.L('Ico_user_p').'">'.$row['firstpostname'].'</a><br/><span class="small">'.QTdatestr($row['firstpostdate'],'$','$',true,true,true).'</span>'; break;
    case 'lastpostdate': $arr[$strKey] = ( empty($row['lastpostdate']) ? '&nbsp;' : QTdatestr($row['lastpostdate'],'$','$',true,true,true).' <a class="lastitem" href="'.Href('qtf_item.php').'?t='.$row['id'].'#p'.$row['lastpostid'].'" title="'.L('H_Goto_message').'">'.L('Goto_message').'</a><br/><span class="small">'.L('by').'</span> <a href="qtf_user.php?id='.$row['lastpostuser'].'" title="'.L('Ico_user_p').'" class="small">'.$row['lastpostname'].'</a>' ); break;
    case 'status': $arrStatuses = cTopic::GetStatuses(); $arr[$strKey] = '<span title="'.(empty($row['statusdate']) ? '' : QTdatestr($row['statusdate'],'d M','H:i',true,true)).'">'.$arrStatuses[$row['status']].'</span>'; break;
    case 'tags':
    	$strTags = '';
    	foreach($arrTags as $str) if ( !empty($str) ) $strTags .= '<span class="tag">'.$str.'</span>';
    	if ( !empty($arrMoreTags) ) $strTags .= '<abbr title="'.implode(', ',$arrMoreTags).'">...</abbr>';
    	$arr[$strKey] = (empty($strTags) ? '&nbsp;' : $strTags); break;
    case 'userphoto': $arr[$strKey] = ( empty($row['picture']) ? '&nbsp;' : AsImg(QTF_DIR_PIC.$row['picture'],'',$row['name'],'imagelist','','qtf_user.php?id='.$row['id']) ); break;
    case 'username': $arr[$strKey] = '<a href="qtf_user.php?id='.$row['id'].'">'.$row['name'].'</a>'; break;
    case 'usermarker': $arr[$strKey] = (empty($strCoord) ? '&nbsp;' : $strCoord); break;
    case 'userrole': $arr[$strKey] = L('Userrole_'.$row['role']); break;
    case 'usercontact': $arr[$strKey] = ( empty($strMail) ? '<img class="ico" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_e_0.gif" alt="mail" title="no e-mail"/>' : $strMail ).' '.( empty($strWww) ? '<img class="ico" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_w_0.gif" alt="email" title="no web site"/>' : $strWww ).( empty($strPriv) ? '' : $strPriv); break;
    case 'userlocation': $arr[$strKey] = ( empty($row['location']) ? '&nbsp;' : $row['location'] ); break;
    case 'usernumpost': $arr[$strKey] = $row['numpost']; break;
    case 'firstdate': $arr[$strKey] = ( empty($row['firstdate']) ? '&nbsp;' : QTdatestr($row['firstdate'],'$','',true,false,true) ); break;
    case 'modifdate': $arr[$strKey] = ( empty($row['modifdate']) ? '&nbsp;' : QTdatestr($row['modifdate'],'$','',true,false,true) ); break;
    case 'coord': $arr[$strKey] = $strLatLon; break;
    default:
      if ( isset($row[$strKey]) )
      {
        $arr[$strKey] = $row[$strKey];
      }
      else
      {
        $arr[$strKey] = '';
      }
      if ( $arr[$strKey]!=='' ) $arr[$strKey] = '<span class="small">'.$arr[$strKey].'</span>';
      break;
    }

  // ::::::::::
  }
  // ::::::::::

  return $arr;
}