<?php

if ( !defined('QTF_HTML_DTD') ) define ('QTF_HTML_DTD', '<!DOCTYPE html>'); // html 5
if ( !defined('QTF_HTML_CHAR') ) define ('QTF_HTML_CHAR', 'windows-1252');
if ( !defined('QTF_HTML_DIR') ) define ('QTF_HTML_DIR', 'ltr');
if ( !defined('QTF_HTML_LANG') ) define ('QTF_HTML_LANG', 'fr');

// Is is recommended to always use capital on first letter in the translation, script changes to lower case if necessary.
// The character doublequote ["] is FORBIDDEN (reserved for html tags)
// To make a single quote use slashe [\']

// -------------
// TOP LEVEL VOCABULARY
// -------------

// Use the top level vocabulary to give the most appropriate name
// for the topics (object items) managed by this application.
// e.g. Ticket, Incident, Subject, Thread, Request, Faq,...

$L['Item']='Sujet';
$L['Items']='Sujets';
$L['item']=strtolower($L['Item']);
$L['items']=strtolower($L['Items']);

$L['Item']='Sujet';
$L['Items']='Sujets';
$L['item']=strtolower($L['Item']);
$L['items']=strtolower($L['Items']);

// The top level words are re-used in a lot of translations defined here after

$L['Y']='Oui';
$L['N']='Non';
$L['Ok']='Ok';
$L['Cancel']='Annuler';
$L['And']='Et';
$L['Or']='Ou';


// Specific vocabulary

$L['Domain']='Domaine';
  $L['Domains']='Domaines';
$L['Section']='Forum';
  $L['Sections']='Forums';
$L['Item_add']='Nouveau sujet';
  $L['Item_del']='Effacer le sujet';
  $L['Item_upd']='Modifier le sujet';
$L['User']='Utilisateur';
  $L['Users']='Utilisateurs';
  $L['User_add']='Ajouter un utilisateur';
  $L['User_del']='Effacer l\'utilisateur';
  $L['User_upd']='Editer le profil';
$L['Status']='Statut';
$L['Member']='Membre';
  $L['Members']='Membres';
$L['Message']='Message';
  $L['Messages']='Messages';
  $L['Message_deleted']='Message effac&eacute;...';
$L['Forward']='Transfers';
  $L['Forwards']='Transfers';
$L['First_message']='Premier&nbsp;message';
$L['Last_message']='Dernier&nbsp;message';
$L['Reply']='R&eacute;ponse';
$L['Replys']='R&eacute;ponses';
$L['News']='News';
$L['Newss']='News'; // In other languages: News=One news, Newss=Several news
$L['News_stamp']='News: ';
$L['Ref']='Ref.';
$L['Title']='Titre';
$L['Smiley']='Emoticone';
$L['Role']='R&ocirc;le';
$L['Userrole_A']='Administrateur';    $L['Userrole_As']='Administrateurs';
$L['Userrole_M']='Mod&eacute;rateur'; $L['Userrole_Ms']='Mod&eacute;rateurs';
$L['Userrole_U']='Membre';            $L['Userrole_Us']='Membrers';
$L['Userrole_V']='Visiteur';          $L['Userrole_Vs']='Visiteurs';
$L['Userrole_C']='M&eacute;diateur de section'; $L['Userrole_Cs']='M&eacute;diateurs de section';
$L['Username']='Nom d\'utilisateur';
$L['Joined']='Depuis';
$L['Picture']='Photo';
$L['Signature']='Signature';
$L['Item_starter']='Initiateur';
$L['Modified_by']='Modifi&eacute; par';
$L['Deleted_by']='Effac&eacute; par';
$L['Top_participants']='Top participants';
$L['Section_moderator']='Mod&eacute;rateur du forum';

// Common

$L['Add']='Ajouter';
$L['Advanced_reply']='Pr&eacute;visualisation...';
$L['All']='Tous';
$L['Attachment']='Document';
$L['Author']='Auteur';
$L['Birthday']='Date de naissance';
$L['Birthdays_calendar']='Calendrier des anniversaires';
$L['Birthdays_today']='Joyeux anniversaire';
$L['By']='Par';
$L['Change']='Changer';
$L['Change_name']='Changer l\'identifiant';
$L['Change_status']='Changer le statut...';
$L['Change_type']='Changer le type...';
$L['Close']='Fermer';
$L['Closed']='Ferm&eacute;';
$L['Contact']='Contacte';
$L['Containing']='Contenant';
$L['Continue']='Continuer';
$L['Coord']='Coordonn&eacute;es';
$L['Coord_latlon']='(lat,lon)';
$L['Csv']='Export'; $L['H_Csv']='Ouvrir dans un tableur';
$L['Date']='Date';
$L['Dates']='Dates';
$L['Day']='Jour';
$L['Days']='Jours';
$L['Delete_tags']='Effacer (clickez un tag, ou tappez * pour tout effacer)';
$L['Destination']='Destination';
$L['Details']='D&eacute;tails';
$L['Display_at']='Afficher &agrave; la date';
$L['Drop_attachment']='Effacer le document';
$L['Email']='E-mail';
$L['Exit']='Exit';
$L['First']='Premi&egrave;re';
$L['Goto']='Allez';
$L['H_Website']='Url avec http://';
$L['Help']='Aide';
$L['Hidden']='Cach&eacute;';
$L['I_wrote']='J\'ai &eacute;crit';
$L['Information']='Information';
$L['Items_per_month']='Sujets par mois';
$L['Items_per_month_cumul']='Cumul des sujets par mois';
$L['Last']='Derni&egrave;re';
$L['Legend']='L&eacute;gende';
$L['Location']='Localisation';
$L['Maximum']='Maximum';
$L['Minimum']='Minimum';
$L['Missing']='Un champ obligatoire est vide';
$L['Month']='Mois';
$L['Name']='Nom';
$L['Next']='Suivante';
$L['None']='Aucun';
$L['Options']='Options';
$L['Opened']='Ouvert';
$L['Page']='page';
$L['Pages']='pages';
$L['Password']='Mot de passe';
$L['Phone']='T&eacute;l&eacute;phone';
$L['Preview']='Pr&eacute;visualisation';
$L['Previous']='Pr&eacute;c&eacute;dente';
$L['Privacy']='Vie priv&eacute;e';
$L['Reason']='Raison';
$L['Remove']='Enlever';
$L['Result']='R&eacute;sultat';
$L['Results']='R&eacute;sultats';
$L['Save']='Sauver';
$L['Seconds']='Secondes';
$L['Selected_from']='s&eacute;lectionn&eacute;s sur';
$L['Send']='Envoyer';
$L['Send_on_behalf']='Au nom de';
$L['Tag']='Tag';
$L['Tags']='Tags';
$L['Time']='Heure';
$L['Total']='Total';
$L['Type']='Type';
$L['Website']='Site web';
$L['Welcome']='Bienvenue';
$L['Welcome_to']='Bienvenue &agrave; un nouveau membre, ';
$L['Welcome_not']='Je ne suis pas %s !';
$L['Year']='Ann&eacute;e';

// Menu

$L['FAQ']='FAQ';
$L['Search']='Chercher';
$L['Memberlist']='Membres';
$L['Login']='Connexion';
$L['Logout']='D&eacute;connexion';
$L['Register']='S\'enregistrer';
$L['Profile']='Profil';
$L['Administration']='Administration';
$L['Legal']='Notices&nbsp;l&eacute;gales';
$L['Coppa_form']='Formulaire Coppa';

// Section

$L['Post_new_item']='Nouveau&nbsp;sujet'; // use &nbsp; as space to avoid double ligne buttons
$L['Post_reply']='Repondre'; // use &nbsp; as space to avoid double ligne buttons
$L['Goto_message']='[<b>&raquo;</b>]';
$L['H_Goto_message']='Voir le dernier message';
$L['Item_closed']='Sujet&nbsp;ferm&eacute;'; // use &nbsp; as space to avoid double ligne buttons
$L['Item_re-opened']='Sujet r&eacute;-ouvert';
$L['Item_moved']='Sujet d&eacute;plac&eacute;';
$L['Item_deleted']='Sujet effac&eacute;';
$L['Close_my_item']='Je ferme mon sujet';
$L['You_reply']='Vous avez r&eacute;pondu';
$L['Views']='Vues';
$L['Quote']='Citer';
$L['Edit']='Editer';
$L['Delete']='Effacer';
$L['Move']='D&eacute;placer';
$L['Move_to']='D&eacute;placer vers';
$L['Quick_reply']='Reponse rapide';
$L['Previous_replies']='Messages pr&eacute;c&eacute;dents';
$L['Close_item']='Fermer le sujet';
$L['Edit_message']='Editer le message';
$L['Delete_message']='Effacer le message';
$L['Message_deleted']='Message effac&eacute;...';
$L['Users_deleted']='Membres effac&eacute;s...';
$L['Move_keep']='Conserver la r&eacute;f&eacute;rence originale';
$L['Move_reset']='Remettre la r&eacute;f&eacute;rence &agrave; z&eacute;ro';
$L['Move_follow']='Renum&eacute;rot&eacute; (suivant le forum de destination)';
$L['Item_closed_show']='Montrer les sujets ferm&eacute;s';
$L['Item_closed_hide']='Masquer les sujets ferm&eacute;s';
$L['Item_news_show']='Montrer les news';
$L['Item_news_hide']='Masquer les news';
$L['Last_column']='Extra colonne';
$L['Edit_start']='Editer le profil';
$L['Edit_stop']='Arr&ecirc;ter l\'&eacute;dition';

// Search

$L['Recent_messages']='Messages&nbsp;r&eacute;cents';
$L['All_news']='Toutes les news';
$L['All_my_items']='Tous mes sujets';
$L['Keywords']='Mot(s) cl&eacute;';
$L['Search_option']='Option de recherche';
$L['Search_criteria']='Crit&egrave;re de recherche';
$L['Any_time']='Toute date';
$L['Any_status']='Tout statut';

$L['Search_by_key']='Chercher par mot(s) cl&eacute;';
$L['Search_by_ref']='Chercher par num&eacute;ro';
$L['Search_by_date']='Chercher par date';
$L['Search_by_tags']='Chercher par cat&eacute;gories';

$L['Search_result']='R&eacute;sultat de la recherche';
$L['In_title_only']='Dans le titre uniquement';
$L['In_all_sections']='Dans tous les forums';
$L['H_Reference']='(entrez seulement la partie num&eacute;rique)';
$L['Too_many_keys']='Trop de mots cl&eacute;s';
$L['Search_by_words']='Chercher ces mots s&eacute;par&eacute;s';
$L['Search_exact_words']='Chercher exactement';
$L['This_week']='Cette semaine';
$L['This_month']='Ce mois';
$L['This_year']='Cette ann&eacute;e';
$L['With_tag']= 'Tag';
$L['Show_only_tag']='Afficher seulement ceux ayant le tag';
$L['H_Tag_input']='Vous pouvez indiquer plusieurs mots s&eacute;par&eacute;s par '.QTF_QUERY_SEPARATOR.' (ex.: t1'.QTF_QUERY_SEPARATOR.'t2 recherche les sujets contenant "t1" ou "t2").';

// Search result

$L['Search_results']='%s '.$L['items'];
$L['Search_results_tags']='%s '.$L['items'].' avec tag %s';
$L['Search_results_ref']='%s '.$L['items'].' ayant la r&eacute;f. %s';
$L['Search_results_keyword']='%s '.$L['items'].' contenant %s';
$L['Search_results_user']='%s '.$L['items'].'cr&eacute;&eacute;s par %s';
$L['Search_results_last']='%s '.$L['items'].' r&eacute;cents (une semaine)';
$L['Search_results_news']='%s '.$L['News'];
$L['Only_in_section']='Dans le forum';

// Stats

$L['Statistics']='Statistiques';
$L['General_site']='Site en g&eacute;neral';
$L['Section_start_date']='Date de d&eacute;but';
$L['Distinct_users']='Utilisateurs diff&eacute;rents (ayant post&eacute;s un message)';

// pricacy

$L['Privacy_visible_0']='non visible';
$L['Privacy_visible_1']='visible par les membres';
$L['Privacy_visible_2']='visible par tout visiteur';

// Restrictions

$L['R_login_register']='Acc&egrave;s r&eacute;serv&eacute; aux seuls membres...<br/><br/>Veuillez vous connecter pour pouvoir continuer. Pour devenir membre, utilisez le menu s\'enregistrer.';
$L['R_member']='Acc&egrave;s r&eacute;serv&eacute; aux seuls membres.';
$L['R_staff']='Acc&egrave;s r&eacute;serv&eacute; aux seuls mod&eacute;rateurs.';
$L['R_security']='Les param&egrave;tres de s&eacute;curit&eacute;s ne permettent pas d\'utiliser cette fonction.';

// Errors

$L['E_access']='Acc&egrave;s refus&eacute;...';
$L['E_already_used']='D&eacute;j&agrave; utilis&eacute;';
$L['E_char_max']='Maximum %d caract&egrave;res';
$L['E_char_min']='Minimum %d caract&egrave;res';
$L['E_editing']='Des donn&eacute;es sont modifi&eacute;es. Quitter sans sauver?';
$L['E_file_size']='Fichier trop gros';
$L['E_invalid']='erron&eacute;';
$L['E_javamail']='Protection: activez java pour voir les adresses e-mail';
$L['E_line_max']='(maximum %d lignes)';
$L['E_mandatory']='Un champ obligatoire est vide';
$L['E_missing_http']='l\'url doit commencer par http:// ou https://';
$L['E_no_desc']='Aucune description';
$L['E_no_public_section']='Le site ne contient pas de forum publique. Pour acc&eacute;der aux forums priv&eacute;s, vous devez vous identifier.';
$L['E_no_result']='Aucun r&eacute;sultat';
$L['E_no_title']='Veuillez donner un titre &agrave; ce nouveau sujet';
$L['E_no_item']='Aucun '.$L['item'];
$L['E_no_visible_section']='Le site ne contient pas de forum visible pour vous.';
$L['E_pixels_max']='Pixels maximum';
$L['E_section_closed']='Forum&nbsp;ferm&eacute;'; // use &nbsp; as space to avoid double ligne buttons
$L['E_text']='Probl&egrave;me avec votre texte.';
$L['E_too_long']='Message trop long';
$L['E_too_much']='Trop de messages aujourd\'hui...<br/><br/>Pour des raisons de s&eacute;curit&eacute;, le nombre de messages est limit&eacute;. Essayez &agrave; nouveau demain. Merci de votre compr&eacute;hension.';
$L['E_item_private']='(ou les sujets sont priv&eacute;s)';
$L['E_wait']='Veuillez patienter quelques secondes...';

// Success

$L['S_update']='Changement effectu&eacute;...';
$L['S_delete']='Effacement effectu&eacute;...';
$L['S_insert']='Cr&eacute;ation termin&eacute;e...';
$L['S_save']='Sauvegarde r&eacute;ussie...';
$L['S_message_saved']='Message sauv&eacute;...<br/>Merci';

// Timezones

$L['dateMMM']=array(1=>'Janvier','F&eacute;vrier','Mars','Avril','Mai','Juin','Juillet','Aout','Septembre','Octobre','Novembre','D&eacute;cembre');
$L['dateMM']=array(1=>'Jan','F&eacute;v','Mars','Avr','Mai','Juin','Juil','Aout','Sept','Oct','Nov','D&eacute;c');
$L['dateM']=array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');
$L['dateDDD']=array(1=>'Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi','Dimanche');
$L['dateDD']=array(1=>'Mon','Tue','Wed','Thu','Fri','Sat','Sun');
$L['dateD']=array(1=>'L','M','M','J','V','S','D');
$L['dateSQL']=array(
  'January'  => 'Janvier',
  'February' => 'F&eacute;vrier',
  'March'    => 'Mars',
  'April'    => 'Avril',
  'May'      => 'Mai',
  'June'     => 'Juin',
  'July'     => 'Juillet',
  'August'   => 'Aout',
  'September'=> 'Septembre',
  'October'  => 'Octobre',
  'November' => 'Novembre',
  'December' => 'D&eacute;cembre',
  'Monday'   => 'Lundi',
  'Tuesday'  => 'Mardi',
  'Wednesday'=> 'Mercredi',
  'Thursday' => 'Jeudi',
  'Friday'   => 'Vendredi',
  'Saturday' => 'Samedi',
  'Sunday'   => 'Dimanche',
  'Today'=>'Aujourd\'hui',
  'Yesterday'=>'Hier',
  'Jan'=>'Jan',
  'Feb'=>'F&eacute;v',
  'Mar'=>'Mar',
  'Apr'=>'Avr',
  'May'=>'Mai',
  'Jun'=>'Jun',
  'Jul'=>'Jul',
  'Aug'=>'Aout',
  'Sep'=>'Sept',
  'Oct'=>'Oct',
  'Nov'=>'Nov',
  'Dec'=>'D&eacute;c',
  'Mon'=>'Lu',
  'Tue'=>'Ma',
  'Wed'=>'Me',
  'Thu'=>'Je',
  'Fri'=>'Ve',
  'Sat'=>'Sa',
  'Sun'=>'Di');