<?php

if ( !defined('QTF_HTML_DTD') ) define ('QTF_HTML_DTD', '<!DOCTYPE html>'); // html 5
if ( !defined('QTF_HTML_CHAR') ) define ('QTF_HTML_CHAR', 'windows-1252');
if ( !defined('QTF_HTML_DIR') ) define ('QTF_HTML_DIR', 'ltr');
if ( !defined('QTF_HTML_LANG') ) define ('QTF_HTML_LANG', 'nl');

// Is is recommended to always use capital on first letter in the translation, script changes to lower case if necessary.
// The character doublequote ["] is FORBIDDEN (reserved for html tags)
// To make a single quote use slashe [\']

// -------------
// TOP LEVEL VOCABULARY
// -------------

// Use the top level vocabulary to give the most appropriate name
// for the topics (object items) managed by this application.
// e.g. Ticket, Incident, Subject, Thread, Request, Faq,...

$L['Item']='Onderwerp';
$L['Items']='Onderwerpen';
$L['item']=strtolower($L['Item']);
$L['items']=strtolower($L['Items']);

$L['Item']='Onderwerp';
$L['Items']='Onderwerpen';
$L['item']=strtolower($L['Item']);
$L['items']=strtolower($L['Items']);

$L['Y']='Ja';
$L['N']='Nee';
$L['Ok']='Ok';
$L['Cancel']='Annuleren';
$L['And']='En';
$L['Or']='Of';

// Specific vocabulary

$L['Domain']='Domein';
  $L['Domains']='Domeinen';
$L['Section']='Forum';
  $L['Sections']='Forums';
$L['Item_add']='Nieuwe onderwerp';
  $L['Item_del']='Onderwerp verwijderen';
  $L['Item_upd']='Onderwerp bewerken';
$L['User']='Gebruiker';
  $L['Users']='Gebruikers';
  $L['User_add']='Gebruiker toevoegen';
  $L['User_del']='Gebruiker verwijderen';
  $L['User_upd']='Profiel bewerken';
$L['Status']='Statuut';
$L['Member']='Lid';
  $L['Members']='Leden';
$L['Message']='Bericht';
  $L['Messages']='Berichten';
  $L['Message_deleted']='Bericht verwijderd...';
$L['Reply']='Antwoord';
  $L['Replys']='Antwoorden';
$L['Forward']='Verstuurd bericht';
  $L['Forwards']='verstuurd berichten';
$L['News']='Info';
  $L['Newss']='Infos'; // In other languages: News=One news, Newss=Several news
  $L['News_stamp']='Nieuws: ';
$L['First_message']='Eerste&nbsp;bericht';
$L['Last_message']='Laatste&nbsp;bericht';
$L['Ref']='Ref.';
$L['Title']='Titel';
$L['Smiley']='Smiley';
$L['Username']='Gebruikersnaam';
$L['Role']='Rang';
$L['Userrole_A']='Administrator'; $L['Userrole_As']='Administrators';
$L['Userrole_M']='Moderator';     $L['Userrole_Ms']='Moderators';
$L['Userrole_U']='Gebruiker';     $L['Userrole_Us']='Gebruikers';
$L['Userrole_V']='Bezoeker';       $L['Userrole_Vs']='Bezoekers';
$L['Userrole_C']='Sectie moderator'; $L['Userrole_Cs']='Sectie moderators';
$L['Joined']='Geregistreerd op';
$L['Picture']='Foto';
$L['Signature']='Onderschrift';
$L['Item_starter']='Auteur';
$L['Modified_by']='Bewerkt door';
$L['Deleted_by']='Geschrapt door';
$L['Top_participants']='Top deelnemers';
$L['Section_moderator']='Forum moderator';

// Common

$L['Add']='Toevoegen';
$L['Advanced_reply']='Voorproef...';
$L['All']='Alles';
$L['Attachment']='Attachment';
$L['Author']='Auteur';
$L['Birthday']='Geboortedatum';
$L['Birthdays_calendar']='Verjaardag agenda';
$L['Birthdays_today']='Gelukkige verjaardag';
$L['By']='Door';
$L['Change']='Bewerk';
$L['Change_name']='Gebruikersnaam veranderen...';
$L['Change_status']='Statuut veranderen...';
$L['Change_type']='Type veranderen...';
$L['Changed']='Bewerkt';
$L['Close']='Afsluiten';
$L['Closed']='Gesloten';
$L['Contact']='Contact';
$L['Containing']='Bevat';
$L['Continue']='Voortduren';
$L['Coord']='Co&ouml;rdinaten';
$L['Coord_latlon']='(lat,lon)';
$L['Csv']='Export'; $L['H_Csv']='Tonen in spreadsheet';
$L['Date']='Datum';
$L['Dates']='Datum';
$L['Day']='Dag';
$L['Days']='Dagen';
$L['Delete_tags']='Verwijderen (click een tag, of type * om alles te verwijderen)';
$L['Destination']='Bestemming';
$L['Details']='Details';
$L['Display_at']='Tonen op datum van';
$L['Drop_attachment']='Attachment wegnemen';
$L['Email']='E-mail';
$L['Exit']='Uitrit';
$L['First']='Eerste';
$L['Goto']='Ga naar';
$L['H_Website']='Uw website url (met http://)';
$L['Help']='Hulp';
$L['Hidden']='Verborgen';
$L['I_wrote']='Ik schreef';
$L['Information']='Informatie';
$L['Items_per_month']='Berichten per maand';
$L['Items_per_month_cumul']='Cumul berichten per maand';
$L['Last']='Laatste';
$L['Legend']='Legend';
$L['Location']='Woonplaats';
$L['Maximum']='Maximum';
$L['Minimum']='Minimum';
$L['Missing']='Verplicht data niet gevonden';
$L['Month']='Maand';
$L['Name']='Naam';
$L['Next']='Volgende';
$L['None']='Niets';
$L['Options']='Opties';
$L['Opened']='Open';
$L['Page']='pagina';
$L['Pages']='pagina\'s';
$L['Password']='Wachtwoord';
$L['Phone']='Telefoon';
$L['Preview']='Voorproef';
$L['Previous']='Vorige';
$L['Privacy']='Priv&eacute;-leven';
$L['Reason']='Reden';
$L['Remove']='Uitwissen';
$L['Result']='Resultaat';
$L['Results']='Resultaten';
$L['Save']='Bewaar';
$L['Seconds']='Seconden';
$L['Selected_from']='geselecteerd uit';
$L['Send']='Zenden';
$L['Send_on_behalf']='Zenden namens';
$L['Tag']='Tag';
$L['Tags']='Tags';
$L['Time']='Uren';
$L['Total']='Totaal';
$L['Type']='Type';
$L['Website']='Website';
$L['Welcome']='Welkom';
$L['Welcome_to']='Welkom voor een nieuwe gebruiker, ';
$L['Welcome_not']='Ik ben %s niet !';
$L['Year']='Jaar';

// Menu

$L['FAQ']='FAQ';
$L['Search']='Zoeken';
$L['Memberlist']='Gebruikerslijst';
$L['Login']='Inloggen';
$L['Logout']='Uitloggen';
$L['Register']='Registreer';
$L['Profile']='Profiel';
$L['Administration']='Administratie';
$L['Legal']='Privacybeleid';
$L['Coppa_form']='Coppa vorm';

// Section

$L['Post_new_item']='Nieuw&nbsp;onderwerp'; // use &nbsp; as space to avoid double ligne buttons
$L['Post_reply']='Antwoord'; // use &nbsp; as space to avoid double ligne buttons
$L['Goto_message']='[<b>&raquo;</b>]';
$L['H_Goto_message']='Laatste bericht';
$L['Item_closed']='Gesloten&nbsp;onderwerp'; // use &nbsp; as space to avoid double ligne buttons
$L['Item_re-opened']='Heropend onderwerp';
$L['Item_moved']='Topic moved';
$L['Item_deleted']='Topic deleted';
$L['Close_my_item']='Ik sluit mijn onderwerp';
$L['You_reply']='U antwoordt';
$L['Views']='Bekeken';
$L['Quote']='Quote';
$L['Edit']='Bewerken';
$L['Delete']='Uitwissen';
$L['Move']='Verplaatsen';
$L['Move_to']='Verplatsen naar';
$L['Quick_reply']='Snel antwoord';
$L['Previous_replies']='Vorige berichten';
$L['Close_item']='Sluit dit onderwerp';
$L['Edit_message']='Bewerk bericht';
$L['Delete_message']='Verwijder bericht';
$L['Message_deleted']='Bericht verwijderd...';
$L['Users_deleted']='Gebruikers verwijderd...';
$L['Move_keep']='Houd origineel verwijzing';
$L['Move_reset']='Verwijzingen terug naar 0';
$L['Move_follow']='Nummer volgt het bestemmingsforum';
$L['Item_closed_show']='Gesloten onderwerpen: tonen';
$L['Item_closed_hide']='Gesloten onderwerpen: verborgen';
$L['Item_news_show']='Nieuws: tonen';
$L['Item_news_hide']='Nieuws: verborgen';
$L['Last_column']='Extra colonne';
$L['Edit_start']='Porfiel wijzigen';
$L['Edit_stop']='Wijziging stoppen';

// Search

$L['Recent_messages']='Recente&nbsp;berichten';
$L['All_news']='Alle&nbsp;mededelingen';
$L['All_my_items']='Alle&nbsp;mijn&nbsp;onderwerpen';
$L['Keywords']='Sleutelwoord(en)';
$L['Search_option']='Onderzoeksoptie';
$L['Search_criteria']='Onderzoekscriterium';

$L['Search_by_key']='Zoeken met sleutelwoord(en)';
$L['Search_by_ref']='Zoeken met nummer';
$L['Search_by_date']='Zoeken met datum';
$L['Search_by_tags']='Zoeken per tags';

$L['Search_result']='Resultaat van het onderzoek';
$L['In_title_only']='In titel alleen';
$L['In_all_sections']='In alle forums';
$L['Any_time']='Alle tijd';
$L['Any_status']='Alle statuut';
$L['H_Reference']='(typ het numerieke deel)';
$L['Too_many_keys']='Te veel sleutelwoorden';
$L['Search_by_words']='Elk woord afzonderlijk zoeken';
$L['Search_exact_words']='Worden samen zoeken';
$L['This_week']='Deze week';
$L['This_month']='Deze maand';
$L['This_year']='Dit jaar';
$L['With_tag']= 'Met tag';
$L['Show_only_tag']='Tonen alleen deze met tag';
$L['H_Tag_input']='Met '.QTF_QUERY_SEPARATOR.' kunt u verschillende worden invoeren (b.v.: t1'.QTF_QUERY_SEPARATOR.'t2 betekend berichten met "t1" of "t2").';

// Search result

$L['Search_results']='%s '.$L['items'];
$L['Search_results_tags']='%s '.$L['items'].' met tag %s';
$L['Search_results_ref']='%s '.$L['items'].' met ref. %s';
$L['Search_results_keyword']='%s '.$L['items'].' met sleutelwoord %s';
$L['Search_results_user']='%s '.$L['items'].' door %s';
$L['Search_results_last']='%s recente '.$L['items'].' (laatste week)';
$L['Search_results_news']='%s '.$L['News'];
$L['Only_in_section']='Alleen in forum';

// Stats

$L['Statistics']='Statistieken';
$L['General_site']='Algemene site';
$L['Section_start_date']='Begin datum';
$L['Distinct_users']='Verschillende gebruikers (met ten minste een bericht ingevuld)';

// Privacy

$L['Privacy_visible_0']='verborgen';
$L['Privacy_visible_1']='zichtbaar voor leden';
$L['Privacy_visible_2']='zichtbaar voor iedereen';

// Restrictions

$L['R_login_register']='De toegang is beperkt tot slechts leden.<br/><br/>Gelieve in te loggen, of ga naar Registreerd om lid te worden.';
$L['R_member']='De toegang is beperkt tot slechts leden.';
$L['R_staff']='De toegang is beperkt tot slechts moderatoren.';
$L['R_security']='De veiligheid instellingen laten deze functie geen toe.';

// Errors

$L['E_access']='De toegang is beperkt...';
$L['E_already_used']='reeds gebruikt';
$L['E_char_max']='Maximum %d tekens';
$L['E_char_min']='Minimum %d tekens';
$L['E_editing']='Data zijn verandered. Verlaten zonder saven?';
$L['E_file_size']='Het bestand is te groot';
$L['E_invalid']='ongeldig';
$L['E_javamail']='Veiligheid: java is nodig om e-mail te zien';
$L['E_line_max']='Maximum %d lijnen';
$L['E_mandatory']='Verplicht data niet gevonden';
$L['E_missing_http']='url moet met http:// of https:// beginnen';
$L['E_no_desc']='Geen beschrijving';
$L['E_no_public_section']='Dit forum bevat geen openbaar onderwerp. De priv&eacute; forumtoegang vereist login.';
$L['E_no_result']='Geen r&eacute;sultaat';
$L['E_no_title']='Een titel is verplicht';
$L['E_no_item']='Geen '.$L['item'].' gevond';
$L['E_no_visible_section']='Dit systeem bevat geen forum zichtbaar voor u.';
$L['E_pixels_max']='Pixels maximum';
$L['E_section_closed']='Forum&nbsp;is&nbsp;gesloten'; // use &nbsp; as space to avoid double ligne buttons
$L['E_text']='Probleem met uw bericht.';
$L['E_too_long']='Te lang bericht';
$L['E_too_much']='Te veel berichten vandaag...<br/><br/>Om veiligheidsredenen, is de aantallen toegestane posten beperkt. Probeer opnieuw morgen. Bedankt...';
$L['E_item_private']='(of priv&eacute; onderwerpen)';
$L['E_wait']='Gelieve te wachten een paar seconden';

// Success

$L['S_update']='Voltooide update...';
$L['S_delete']='Schrap voltooid...';
$L['S_insert']='Succesvolle verwezenlijking...';
$L['S_save']='Sparen voltooid...';
$L['S_message_saved']='Bewaard bericht...<br/>Dank u';

// Dates

$L['dateMMM']=array(1=>'Januari','Februari','Maart','April','Mei','Juni','Juli','Augustus','Septembre','Oktober','November','December');
$L['dateMM']=array(1=>'Jan','Feb','Mrt','Apr','Mei','Jun','Jul','Aug','Sep','Okt','Nov','Dec');
$L['dateM']=array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');
$L['dateDDD']=array(1=>'Maandag','Dinsdag','Woensdag','Donderdag','Vrijdag','Zaterdag','Zondag');
$L['dateDD']=array(1=>'Ma','Di','Wo','Do','Vr','Za','Zo');
$L['dateD']=array(1=>'M','D','W','D','V','Z','Z');
$L['dateSQL']=array(
  'January'  => 'januari',
  'February' => 'februari',
  'March'    => 'maart',
  'April'    => 'april',
  'May'      => 'mei',
  'June'     => 'juni',
  'July'     => 'juli',
  'August'   => 'augustus',
  'September'=> 'september',
  'October'  => 'oktober',
  'November' => 'november',
  'December' => 'december',
  'Monday'   => 'maandag',
  'Tuesday'  => 'dinsdag',
  'Wednesday'=> 'woensdag',
  'Thursday' => 'donderdag',
  'Friday'   => 'vrijdag',
  'Saturday' => 'zaterdag',
  'Sunday'   => 'zondag',
  'Today'=>'Vandaag',
  'Yesterday'=>'Gisteren',
  'Jan'=>'jan',
  'Feb'=>'feb',
  'Mar'=>'mrt',
  'Apr'=>'apr',
  'May'=>'mei',
  'Jun'=>'jun',
  'Jul'=>'jul',
  'Aug'=>'aug',
  'Sep'=>'sep',
  'Oct'=>'okt',
  'Nov'=>'nov',
  'Dec'=>'dec',
  'Mon'=>'ma',
  'Tue'=>'di',
  'Wed'=>'wo',
  'Thu'=>'do',
  'Fri'=>'vr',
  'Sat'=>'za',
  'Sun'=>'zo');