<?php

// QuickTalk 3.0 build:20121228

session_start();
require_once 'bin/qtf_init.php';
if ( !$oVIP->user->CanView('V4') ) HtmlPage(11);

include Translate('qtf_stat.php');
include 'bin/qtf_fn_sql.php';
include 'bin/qtf_fn_stat.php';

// --------
// INITIALISE
// --------

$csv = '';

$s = -1;   // section filter
$y = date('Y'); if ( intval(date('n'))<2 ) $y--; // year filter
$type = ''; // type filter
$tag = ''; // tags filter
$tt = 'g'; // tab: g=global, gt=globaltrend, d=detail, dt=detailtrend
$ch = array('time'=>'m','type'=>'b','value'=>'a','trend'=>'a'); // chart parameters
// [0] blocktime: m=month, q=quarter, d=10days
// [1] graph type: b=bar, l=line, B=bar+variation, L=line+variation
// [2] graphics reals: a=actual, p=percent
// [3] trends reals: a=actual, p=percent

// --------
// SUBMITTED
// --------

QThttpvar('y s type tag tt','int str str str str',true,true,false);

// Check if data selected (only for user defined count stat)

if ( $tt=='n' ) {
if ( !isset($_SESSION[QT]['statF'][0]) ) {
  $oVIP->exiturl = 'qtf_stats.php';
  $oHtml->PageBox('CSV','No data...',$_SESSION[QT]['skin_dir'],3);
}}

// Check submitted value

if ( $s=='-1' || $s==='' ) $s='*';
if ( $s!=='*' ) { $strSection = 'forum='.$s.' AND '; } else { $strSection=''; }
if ( !empty($type) ) { $strType='type="'.strtoupper(substr($type,0,1)).'" AND '; } else { $strType=''; }
$strTags = '';
if ( !empty($tag) )
{
  if ( substr($tag,-1,1)==';' ) $tag = substr($tag,0,-1);
  $arrTags = explode(';',$tag);
  $str = '';
  foreach($arrTags as $strTag)
  {
  if ( !empty($str) ) $str .= ' OR ';
  $str .= 'UPPER(tags) LIKE "%'.strtoupper($strTag).'%"';
  }
  if ( !empty($str) ) $strTags = ' ('.$str.') AND ';
}
if ( isset($_GET['ch']) )
{
  $str = strip_tags($_GET['ch']);
  if ( strlen($str)>0 ) $ch['time'] = substr($str,0,1); // blocktime
  if ( strlen($str)>1 ) $ch['type'] = substr($str,1,1); // graph type
  if ( strlen($str)>2 ) $ch['value'] = substr($str,2,1); // value type
  if ( strlen($str)>3 ) $ch['trend'] = substr($str,3,1); // trends value type
}

// ------
// OUTPUT
// ------

if ( $tt=='gt' || $tt=='dt' ) { $arrYears = array($y-1,$y); } else { $arrYears = array($y); } // Normal is 1 year but for Trends analysis, 2 years

include 'qtf_stats_inc.php';

// Table header

$arr = QTarrget(GetSections($oVIP->user->role));
$csv .= '"'.implode(' ',$arrYears).($s!=='*' ? ' ('.$arr[$s].')' : '').(empty($tag) ? '' : ', '.$L['With_tag'].' '.str_replace(';',' '.$L['or'].' ',$tag)).'"<br/>';

// -----
foreach($arrYears as $y) {
// -----

// Table header

$csv .= '"'.$y.'";';

switch($ch['time'])
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"Q'.$i.'";'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"'.$L['dateMM'][$i].'";'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"'.QTdatestr( DateAdd($strTendaysago,$i,'day'),'d M','' ).'";'; } break;
}
$csv .= '"'.($ch['time']=='d' ? '10 '.strtolower($L['Days']) : $L['Year']).'"<br/>';

// Table body

if ( $tt=='g' || $tt=='gt' )
{

  $csv .= '"'.$L['Items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrT[$y][$intBt]) ? $arrT[$y][$intBt] : '0').';'; }
  $csv .= $arrTs[$y].'<br/>';

  $csv .= '"'.$L['Replys'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrM[$y][$intBt]) ? $arrM[$y][$intBt] : '0').';'; }
  $csv .= $arrMs[$y].'<br/>';

  $csv .= '"'.$L['Users'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrU[$y][$intBt]) ? $arrU[$y][$intBt] : '0').';'; }
  $csv .= $arrUs[$y].'<br/>';

}

if ( $tt=='d' )
{

  $csv .= '"'.$L['New_items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrN[$y][$intBt]) ? $arrN[$y][$intBt] : '0').';'; }
  $csv .= $arrNs[$y].'<br/>';

  $csv .= '"'.$L['Closed_items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrC[$y][$intBt]) ? $arrC[$y][$intBt] : '0').';'; }
  $csv .= $arrCs[$y].'<br/>';

  $csv .= '"'.$L['Backlog'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrT[$y][$intBt]) ? $arrT[$y][$intBt] : '0').';'; }
  $csv .= $arrTs[$y].'<br/>';

}

if ( $tt=='dt' )
{

  $csv .= '"'.$L['New_items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrN[$y][$intBt]) ? $arrN[$y][$intBt] : '0').';'; }
  $csv .= $arrNs[$y].'<br/>';

  $csv .= '"'.$L['Closed_items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $csv .= (isset($arrC[$y][$intBt]) ? $arrC[$y][$intBt] : '0').';'; }
  $csv .= $arrCs[$y].'<br/><br/>';

}

// -----
}
// -----

// add trends [gt] if several years

if ( $tt=='gt' )
{
  // Table header

  $csv .= '"'.$L['Trends'].'";';

  switch($ch['time'])
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"Q'.$i.'";'; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"'.$L['dateMM'][$i].'";'; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"'.QTdatestr( DateAdd($strTendaysago,$i,'day'),'d M','' ).'";'; } break;
  }
  $csv .= '"'.($ch['time']=='d' ? '10 '.strtolower($L['Days']) : $L['Year']).'"<br/>';

  // Table body
  $arrSeries[0] = GetSerieDelta($arrT,$arrTs,$y,$intMaxBt,$ch['trend']=='p','0',false); // Topics, delta without color
  $arrSeries[1] = GetSerieDelta($arrM,$arrMs,$y,$intMaxBt,$ch['trend']=='p','0',false); // Replies
  $arrSeries[2] = GetSerieDelta($arrU,$arrUs,$y,$intMaxBt,$ch['trend']=='p','0',false); // Users

  $csv .= '"'.$L['Items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) $csv .= (isset($arrSeries[0][$intBt]) ? $arrSeries[0][$intBt] : '0').';';
  $csv .= '<br />';

  $csv .= '"'.$L['Replys'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) $csv .= (isset($arrSeries[1][$intBt]) ? $arrSeries[1][$intBt] : '0').';';
  $csv .= '<br />';

  $csv .= '"'.$L['Users'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) $csv .= (isset($arrSeries[2][$intBt]) ? $arrSeries[2][$intBt] : '0').';';
  $csv .= '<br />';

}

// add trends [dt] if several years

if ( $tt=='dt' )
{

  // Table header

  $csv .= '"'.$L['Trends'].'";';

  switch($ch['time'])
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"Q'.$i.'";'; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"'.$L['dateMM'][$i].'";'; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $csv .= '"'.QTdatestr( DateAdd($strTendaysago,$i,'day'),'d M','' ).'";'; } break;
  }
  $csv .= '"'.($ch['time']=='d' ? '10 '.strtolower($L['Days']) : $L['Year']).'"<br/>';

  // Table body

  $arrSeries[0] = GetSerieDelta($arrN,$arrNs,$y,$intMaxBt,$ch['trend']=='p','0',false); // New_items, delta without color
  $arrSeries[1] = GetSerieDelta($arrC,$arrCs,$y,$intMaxBt,$ch['trend']=='p','0',false); // Closed_items

  $csv .= '"'.$L['New_items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) $csv .= (isset($arrSeries[0][$intBt]) ? $arrSeries[0][$intBt] : '0').';';
  $csv .= '<br />';

  $csv .= '"'.$L['Closed_items'].'";';
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++) $csv .= (isset($arrSeries[1][$intBt]) ? $arrSeries[1][$intBt] : '0').';';
  $csv .= '<br />';

}

// ------
// Export
// ------

if ( !headers_sent() )
{
  $csv = str_replace('<br/>',"\r\n",$csv);
  header('Content-Type: text/csv; charset='.QTF_HTML_CHAR);
  header('Content-Disposition: attachment; filename="global_stat_'.$y.'.csv"');
}

echo $csv;